------------------------------------------------------------------------
r6212 | mhall | 2010-01-12 14:16:48 +1300 (Tue, 12 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/version.txt

New version
------------------------------------------------------------------------
r6228 | fracpete | 2010-01-12 18:14:45 +1300 (Tue, 12 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/RelationalLocator.java
   M /trunk/weka/src/main/java/weka/core/StringLocator.java

if src and dest differ in number of attributes/length is different, the error message now states the two different numbers (helpful in figuring out in case this occurs)
------------------------------------------------------------------------
r6230 | fracpete | 2010-01-13 13:23:03 +1300 (Wed, 13 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/SerializationHelper.java

uses now BufferedInput/OutputStream whenever possible to increase performance in reading/writing of serialized objects
------------------------------------------------------------------------
r6233 | mhall | 2010-01-15 10:12:49 +1300 (Fri, 15 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/TAN.java

buildStructure now no longer throws an exception if there is one or no attributes (aside from the class) in the data.
------------------------------------------------------------------------
r6237 | mhall | 2010-01-19 14:11:47 +1300 (Tue, 19 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/M5Base.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/Rule.java

Fixed a memory leak for M5Rules.
------------------------------------------------------------------------
r6240 | mhall | 2010-01-22 13:30:02 +1300 (Fri, 22 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java

Changed the file browser's behavior to allow directories to be selected. This allows the TextDirectoryLoader to be used from the Explorer.
------------------------------------------------------------------------
r6244 | mhall | 2010-01-25 08:43:16 +1300 (Mon, 25 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/ArffLoader.java

When the source is a URL, a call to reset was defaulting back to a file as the source - fixed.
------------------------------------------------------------------------
r6246 | mhall | 2010-01-25 12:17:48 +1300 (Mon, 25 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToString.java

Global info fix.
------------------------------------------------------------------------
r6250 | mhall | 2010-01-25 14:08:29 +1300 (Mon, 25 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Reorder.java

Global info fix.
------------------------------------------------------------------------
r6252 | mhall | 2010-01-28 14:31:31 +1300 (Thu, 28 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/RankSearch.java

Added technical information.
------------------------------------------------------------------------
r6256 | mhall | 2010-01-30 21:09:06 +1300 (Sat, 30 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/RandomSplitResultProducer.java

Fixed a tip text.
------------------------------------------------------------------------
r6259 | mhall | 2010-02-02 20:49:46 +1300 (Tue, 02 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/DMNBtext.java

Command line option handling was missing - fixed.
------------------------------------------------------------------------
r6261 | mhall | 2010-02-08 09:17:33 +1300 (Mon, 08 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

Re-evaluating a classifier on a test set was broken - fixed. Also fixed spelling mistake in error message.
------------------------------------------------------------------------
r6263 | fracpete | 2010-02-08 09:58:29 +1300 (Mon, 08 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/GridSearch.java

can take advantage of multi-core machines now
------------------------------------------------------------------------
r6264 | mhall | 2010-02-08 10:19:23 +1300 (Mon, 08 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/ParallelIteratedSingleClassifierEnhancer.java

Fixed a bug that prevented the sum of completed and failed classifiers from equaling the total number of classifiers when failures occur. This bug only affected the case when one or more failures occurred.
------------------------------------------------------------------------
r6266 | mhall | 2010-02-08 10:27:46 +1300 (Mon, 08 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/ParallelMultipleClassifiersCombiner.java

Fixed a bug that prevented the sum of completed and failed classifiers from equaling the total number of classifiers when failures occur. This bug only affected the case when one or more failures occurred.
------------------------------------------------------------------------
r6268 | mhall | 2010-02-08 16:00:09 +1300 (Mon, 08 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/rules/DTNB.java

Technical info update.
------------------------------------------------------------------------
r6272 | fracpete | 2010-02-11 10:08:54 +1300 (Thu, 11 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/SortedTableModel.java

rewrote sorting, resulting in huge speedup
------------------------------------------------------------------------
r6275 | fracpete | 2010-02-12 08:51:12 +1300 (Fri, 12 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/SortedTableModel.java

used isSubclass instead of hasInterface to determine whether table cell is of type Comparable - fixed
------------------------------------------------------------------------
r6278 | mhall | 2010-02-18 10:21:01 +1300 (Thu, 18 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/ScatterSearchV1.java

Fixed spelling mistake in an option name.
------------------------------------------------------------------------
r6280 | fracpete | 2010-02-18 10:32:08 +1300 (Thu, 18 Feb 2010) | 2 lines
Changed paths:
   A /trunk/weka/src/main/java/weka/core/CustomDisplayStringProvider.java
   M /trunk/weka/src/main/java/weka/core/Range.java
   M /trunk/weka/src/main/java/weka/core/SingleIndex.java
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.java

introduced weka.core.CustomDisplayStringProvider interface for classes to provide a custom display string (currently only used in the GenericObjectEditor)
weka.core.Range/SingleIndex make use of this new interface to display their internal range/index instead of the class name when being displayed in the GenericArrayEditor (see PartitionedMultiFilter)
------------------------------------------------------------------------
r6281 | fracpete | 2010-02-18 10:33:43 +1300 (Thu, 18 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PartitionedMultiFilter.java

the -R command-line option for a range now supports inverted ranges (the "inverted" information got lost previously)
------------------------------------------------------------------------
r6284 | fracpete | 2010-02-18 10:50:16 +1300 (Thu, 18 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PartitionedMultiFilter.java

the -R command-line option for a range now supports inverted ranges (the "inverted" information got lost previously)
------------------------------------------------------------------------
r6287 | fracpete | 2010-02-18 12:14:52 +1300 (Thu, 18 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/CustomDisplayStringProvider.java

added missing GPL preamble
------------------------------------------------------------------------
r6295 | mhall | 2010-02-19 15:20:43 +1300 (Fri, 19 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Fixed a bug that was preventing graph connections to be made for wrapped classifiers that can produce a graph.
------------------------------------------------------------------------
r6298 | mhall | 2010-02-20 20:31:11 +1300 (Sat, 20 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/EM.java

Cluster priors were wrong when iteration terminates due to non-improvement of log likelihood. This is because the E step is used to compute the likelihood *and* to also update the weights and recompute the priors. When iterate exits at iteration i because the likelihood doesn't increase, then the E step has actually advanced the priors to iteration i+1. Fixed.
------------------------------------------------------------------------
r6302 | mhall | 2010-02-24 09:42:46 +1300 (Wed, 24 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayesMultinomial.java

toString() was printing out the class attribute in the conditional probability section of the output - fixed.
------------------------------------------------------------------------
r6307 | mhall | 2010-02-24 15:10:57 +1300 (Wed, 24 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/misc/VFI.java

Altered capabilities so that VFI no longer handles String attributes (didn't really handle them as such, since they were treated the same as nominal).
------------------------------------------------------------------------
r6314 | fracpete | 2010-02-26 10:01:27 +1300 (Fri, 26 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/BrowserHelper.java

added google-chrome as browser for the Linux platform
------------------------------------------------------------------------
r6317 | fracpete | 2010-02-26 15:01:55 +1300 (Fri, 26 Feb 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Instances.java
   A /trunk/weka/src/test/java/weka/core/InstancesTest.java
   A /trunk/weka/src/test/java/weka/core/data
   A /trunk/weka/src/test/java/weka/core/data/InstancesTest.arff

the weka.core.Instances class no longer allows the creation of datasets with duplicate attribute names
------------------------------------------------------------------------
r6320 | mhall | 2010-03-01 16:17:02 +1300 (Mon, 01 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RotationForest.java

Updated for the fact that attribute names now have to be unique.
------------------------------------------------------------------------
r6323 | mhall | 2010-03-01 21:20:29 +1300 (Mon, 01 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/TestInstances.java

Changed the generation of multi-instance data so that the names of the nested attributes in the relational data have a "bagAtt_" prifix. This is because of problems caused by the new constraint that attributes have unique names - converting an old generated multi-instance dataset using the MultiInstanceToPropositonal filter was resulting in a dataset with duplicated attribute names.
------------------------------------------------------------------------
r6326 | mhall | 2010-03-01 21:30:22 +1300 (Mon, 01 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/TestInstances.java

Doc update.
------------------------------------------------------------------------
r6330 | mhall | 2010-03-03 12:05:04 +1300 (Wed, 03 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/DatabaseLoader.java

Added a fix for the old SQLLite closing result set also closes any meta data object issue.
------------------------------------------------------------------------
r6334 | mhall | 2010-03-07 20:18:06 +1300 (Sun, 07 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/ConverterUtils.java

A call to reset() is needed before reading again from file-based loaders. ArffLoader's reset() method adjusted so that it doesn't re-initialize with the currently set file object if it is a directory (rather than a file).
------------------------------------------------------------------------
r6339 | mhall | 2010-03-07 20:35:29 +1300 (Sun, 07 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/ArffLoader.java

ArffLoader's reset() method adjusted so that it doesn't re-initialize with the currently set file object if it is a directory (rather than a file).
------------------------------------------------------------------------
r6340 | mhall | 2010-03-09 21:09:40 +1300 (Tue, 09 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/pmml/Array.java

Fixed small logic error in valueInt().
------------------------------------------------------------------------
r6342 | mhall | 2010-03-09 21:22:03 +1300 (Tue, 09 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/pmml/Array.java

Added a check for INT-Sparse as well as INT in valueInt().
------------------------------------------------------------------------
r6344 | mhall | 2010-03-13 20:27:25 +1300 (Sat, 13 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java

Made the computation of training/test split size when doing a percentage split consistent with how it is done in the Explorer and TrainTestSplitMaker.
------------------------------------------------------------------------
r6352 | mhall | 2010-03-17 19:56:13 +1300 (Wed, 17 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java

Added an option to limit the instances mined to those that contain the items (attribute names) provided by the user. Similarly, added another option to only print the rules containing items (attribute names) provided by the user. A third option allows the user to specify that logical OR should be used rather than AND when matching against the supplied list(s) of items.
------------------------------------------------------------------------
r6354 | mhall | 2010-03-18 12:01:12 +1300 (Thu, 18 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Instances.java

Added a list of problem attribute names to the Exception that gets thrown when non-unique names are detected.
------------------------------------------------------------------------
r6357 | mhall | 2010-03-18 15:47:57 +1300 (Thu, 18 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/HotSpot.java

Changed so that instances with missing class values are not deleted and that missing class is checked for in the main routines. This allows HotSpot to be applied to market-basket data in Weka's standard dense format (i.e. with single valued attributes and missing values used to indicate absence of items).
------------------------------------------------------------------------
r6360 | mhall | 2010-03-18 21:58:44 +1300 (Thu, 18 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/AssociationsPanel.java

Added support for visualizing trees and tree plugins since HotSpot is Drawable.
------------------------------------------------------------------------
r6362 | mhall | 2010-03-19 11:42:07 +1300 (Fri, 19 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/DMNBtext.java

Capabilities needed minimum num instances of 0 in order to prevent failing when used incrementally (where build classifier is first called with structure only).
------------------------------------------------------------------------
r6364 | mhall | 2010-03-20 13:22:00 +1300 (Sat, 20 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/PredictiveApriori.java

A capabilities setting was preventing PredictiveApriori from being used in the Explorer - fixed.
------------------------------------------------------------------------
r6367 | mhall | 2010-03-20 13:36:55 +1300 (Sat, 20 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/Tertius.java

A capabilities setting was preventing Tertius from being used in the Explorer - fixed.
------------------------------------------------------------------------
r6369 | mhall | 2010-03-22 15:49:36 +1300 (Mon, 22 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/HotSpot.java

Removed a line of debugging output.
------------------------------------------------------------------------
r6370 | mhall | 2010-03-22 16:31:59 +1300 (Mon, 22 Mar 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/associations/XMLRulesProducer.java

Initial import
------------------------------------------------------------------------
r6371 | mhall | 2010-03-22 16:32:28 +1300 (Mon, 22 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java

Now implements XMLRulesProducer.
------------------------------------------------------------------------
r6372 | mhall | 2010-03-22 16:33:58 +1300 (Mon, 22 Mar 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/visualize/plugins/AssociationRuleVisualizePlugin.java

Initial import.
------------------------------------------------------------------------
r6373 | mhall | 2010-03-22 16:36:26 +1300 (Mon, 22 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/AssociationsPanel.java

Now provides history list menu items for plugin tree visualization and plugn XML association rule visualization. If plugins are detected in the classpath, then a check box is provided to allow output to be stored in the history list for visualization.
------------------------------------------------------------------------
r6374 | mhall | 2010-03-22 16:39:05 +1300 (Mon, 22 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.props

Added an entry for association rules visualization.
------------------------------------------------------------------------
r6379 | mhall | 2010-03-23 11:40:36 +1300 (Tue, 23 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/AssociatorEvaluation.java

Added a general option to output the rules as XML to a file if the associator implements XMLRulesProducer.
------------------------------------------------------------------------
r6380 | mhall | 2010-03-23 16:49:01 +1300 (Tue, 23 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/ClassDiscovery.java

Fixed minor bug in the code that replaces spaces with %20 in URLs.
------------------------------------------------------------------------
r6382 | mhall | 2010-03-24 08:55:01 +1300 (Wed, 24 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/rules/OLM.java

Added a toString() method to the OLMRules inner class to print out the instances in the rule set.
------------------------------------------------------------------------
r6385 | mhall | 2010-03-26 10:41:47 +1300 (Fri, 26 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/Experiment.java

Added a command line option for verbose output. Now prints iteration information like the Experimenter does.
------------------------------------------------------------------------
r6388 | mhall | 2010-03-28 20:19:46 +1300 (Sun, 28 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RotationForest.java

Now makes sure that instance weights from the training data a passed through to the transformed data (in case that the base classifier is a WeightedInstanceHandler). Fix from Juan Jose Rodriguez.
------------------------------------------------------------------------
r6390 | mhall | 2010-03-30 12:06:19 +1300 (Tue, 30 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Saver.java

Fixed some bugs that prevented table names from getting set correctly. Now keeps a configured template of the saver to use. Copies are made from the template before saving operations are performed.
------------------------------------------------------------------------
r6391 | mhall | 2010-03-30 12:06:42 +1300 (Tue, 30 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SaverCustomizer.java

Fixed some bugs that prevented table names from getting set correctly. Now keeps a configured template of the saver to use. Copies are made from the template before saving operations are performed.
------------------------------------------------------------------------
r6392 | mhall | 2010-03-30 12:07:40 +1300 (Tue, 30 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/xml/XMLBeans.java

now accesses savers and loaders via the wrappedAlgorithm method.
------------------------------------------------------------------------
r6401 | mhall | 2010-03-30 16:27:55 +1300 (Tue, 30 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Capabilities.java

Added missing values and missing class values to the enableAll and disableAll methods
------------------------------------------------------------------------
r6405 | mhall | 2010-03-30 19:37:49 +1300 (Tue, 30 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/Id3.java

Modified the toSource() method so that the generated code checks for missing (null) values in the instance to be classified.
------------------------------------------------------------------------
r6408 | mhall | 2010-03-31 09:45:40 +1300 (Wed, 31 Mar 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Capabilities.java

disableAll now disables the NO_CLASS capability too.
------------------------------------------------------------------------
r6417 | mhall | 2010-04-07 20:57:10 +1200 (Wed, 07 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/ConverterUtils.java

Fixed a bug where a null pointer could get dereferenced in the nextElement() method of DataSource.
------------------------------------------------------------------------
r6420 | mhall | 2010-04-07 21:03:48 +1200 (Wed, 07 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/AveragingResultProducer.java

Fixed a potential null ptr dereference in getCompatibilityState().
------------------------------------------------------------------------
r6423 | mhall | 2010-04-07 21:07:15 +1200 (Wed, 07 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/DatabaseResultProducer.java

Fixed a potential null ptr dereference in getCompatibilityState().
------------------------------------------------------------------------
r6426 | mhall | 2010-04-07 21:10:08 +1200 (Wed, 07 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/LearningRateResultProducer.java

Fixed a potential null ptr dereference in getCompatibilityState().
------------------------------------------------------------------------
r6429 | mhall | 2010-04-07 21:14:09 +1200 (Wed, 07 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/sql/ResultSetHelper.java

There was a missing break statement for one case in a switch statement - fixed.
------------------------------------------------------------------------
r6432 | mhall | 2010-04-07 21:28:22 +1200 (Wed, 07 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/PairedTTester.java

Replaced some equality tests (that were incorrect anyway) against class types in getOptions with the instanceof operator.
------------------------------------------------------------------------
r6435 | mhall | 2010-04-07 21:39:42 +1200 (Wed, 07 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/GeneticSearch.java

Taking the absolute value of Random.nextInteger() is problematic if the random number generator returns INTEGER.MIN_VALUE - fixed.
------------------------------------------------------------------------
r6441 | mhall | 2010-04-08 20:28:00 +1200 (Thu, 08 Apr 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/filters/unsupervised/instance/Denormalize.java

Initial import.
------------------------------------------------------------------------
r6447 | mhall | 2010-04-09 11:51:34 +1200 (Fri, 09 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Capabilities.java

Changed the toSource() method so that it doesn't output redundant capabilities.
------------------------------------------------------------------------
r6450 | fracpete | 2010-04-14 09:32:10 +1200 (Wed, 14 Apr 2010) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/SimpleKMeans.java

Distance calculation now uses cut-off values to speed up things while iterating (Dale Fletcher's idea).
The squared errors are calculated in a separate step after iteration has converged, using the slow distance calculation (Bernhard Pfahringer's idea).
The "-fast" flag omits the squared errors calculation completely, resulting in further speed-up.
------------------------------------------------------------------------
r6452 | fracpete | 2010-04-15 16:30:21 +1200 (Thu, 15 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffPanel.java
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffSortedTableModel.java
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffTableModel.java

added the attribute index to the column header, for better identification of the attributes
------------------------------------------------------------------------
r6455 | fracpete | 2010-04-15 16:37:59 +1200 (Thu, 15 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffPanel.java

attribute index gets also displayed when loading file in ArffViewer (not just when displaying a simple ArffPanel in the Explorer)
------------------------------------------------------------------------
r6458 | mhall | 2010-04-20 11:30:09 +1200 (Tue, 20 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Filter.java

Improved error message output to the status area when the wrapped filter throws an exception.
------------------------------------------------------------------------
r6460 | mhall | 2010-04-21 15:09:31 +1200 (Wed, 21 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/pmml/FieldRef.java

Added a serial version UID and missing GPL header
------------------------------------------------------------------------
r6463 | mhall | 2010-04-22 11:20:41 +1200 (Thu, 22 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/pmml/MappingInfo.java

No longer throws an exception if the mining schema contains a String attribute and the corresponding incoming attribute is nominal.
------------------------------------------------------------------------
r6466 | mhall | 2010-04-22 11:51:20 +1200 (Thu, 22 Apr 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/core/pmml/SparseArray.java
   A /trunk/weka/src/main/java/weka/core/pmml/VectorDictionary.java
   A /trunk/weka/src/main/java/weka/core/pmml/VectorInstance.java

Initial import
------------------------------------------------------------------------
r6467 | mhall | 2010-04-22 11:51:38 +1200 (Thu, 22 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/pmml/Array.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLFactory.java

Added support for SupportVectorMachineModel
------------------------------------------------------------------------
r6468 | mhall | 2010-04-22 11:51:59 +1200 (Thu, 22 Apr 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/SupportVectorMachineModel.java

Initial import.
------------------------------------------------------------------------
r6476 | mhall | 2010-04-22 14:49:54 +1200 (Thu, 22 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RacedIncrementalLogitBoost.java

Added TechnicalInformation.
------------------------------------------------------------------------
r6479 | mhall | 2010-04-26 09:47:47 +1200 (Mon, 26 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/subsetbyexpression/Parser.cup

Changed missingValue call from Instance to Utils.
------------------------------------------------------------------------
r6480 | mhall | 2010-04-26 11:52:30 +1200 (Mon, 26 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MathExpression.java

Modified to allow the expression to reference values other than that of the attribute being processed. "A" still corresponds to the value of the attribute being processed, and now "A1", "A2", "A3" etc. can be used to reference other attribute values.
------------------------------------------------------------------------
r6481 | mhall | 2010-04-26 11:53:26 +1200 (Mon, 26 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/mathematicalexpression/Parser.java
   M /trunk/weka/src/main/java/weka/core/mathematicalexpression/Scanner.java
   M /trunk/weka/src/main/java/weka/core/mathematicalexpression/Scanner.jflex
   M /trunk/weka/src/main/java/weka/core/mathematicalexpression/sym.java

Modified to allow the expression to use variables that reference values other than the attribute being processed.
------------------------------------------------------------------------
r6482 | mhall | 2010-04-27 10:16:47 +1200 (Tue, 27 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryVisualizer.java

Fixed a bug that caused a widget layout problem when loading a dataset with a long relation name.
------------------------------------------------------------------------
r6485 | mhall | 2010-04-28 14:30:31 +1200 (Wed, 28 Apr 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/associations/AssociationRule.java
   A /trunk/weka/src/main/java/weka/associations/AssociationRulesProducer.java
   A /trunk/weka/src/main/java/weka/associations/BinaryItem.java
   A /trunk/weka/src/main/java/weka/associations/DefaultAssociationRule.java
   A /trunk/weka/src/main/java/weka/associations/Item.java

Initial import.
------------------------------------------------------------------------
r6486 | mhall | 2010-04-28 14:31:32 +1200 (Wed, 28 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java

Extracted BinaryItem and AssociationRule into separate classes with appropriate superclasses. Now implements AssociationRulesProducer.
------------------------------------------------------------------------
r6487 | mhall | 2010-04-28 14:33:03 +1200 (Wed, 28 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/Apriori.java
   M /trunk/weka/src/main/java/weka/associations/AprioriItemSet.java
   M /trunk/weka/src/main/java/weka/associations/ItemSet.java

Now implements AssociationRulesProducer. Now also outputs all metrics when the fast heuristic based on confidence is used for generating the rules.
------------------------------------------------------------------------
r6488 | mhall | 2010-04-28 16:24:57 +1200 (Wed, 28 Apr 2010) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java

getAssociationRules() now returns the correct number of rules if the user has requested a certain number.

------------------------------------------------------------------------
r6489 | mhall | 2010-04-28 16:26:01 +1200 (Wed, 28 Apr 2010) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/DefaultAssociationRule.java

Was returning the wrong information for metric names - fixed.

------------------------------------------------------------------------
r6490 | mhall | 2010-04-28 16:30:37 +1200 (Wed, 28 Apr 2010) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/AssociationsPanel.java

Modified for changes to the AssociationRuleVisualizePlugin.

------------------------------------------------------------------------
r6491 | mhall | 2010-04-28 16:31:47 +1200 (Wed, 28 Apr 2010) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/visualize/plugins/AssociationRuleVisualizePlugin.java

Changed to accept a List of AssociationRules as input rather than an XML string. Implementers can now map the association rules to whatever structure they need.

------------------------------------------------------------------------
r6492 | mhall | 2010-04-29 09:19:53 +1200 (Thu, 29 Apr 2010) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GUIChooser.java

Got rid of another ClassLoader.getSystemResource call.

------------------------------------------------------------------------
r6496 | mhall | 2010-04-29 12:07:01 +1200 (Thu, 29 Apr 2010) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/AssociatorEvaluation.java

Removed the XMLRulesProducer stuff.

------------------------------------------------------------------------
r6497 | mhall | 2010-04-29 12:07:30 +1200 (Thu, 29 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/DefaultAssociationRule.java
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java
   M /trunk/weka/src/main/java/weka/associations/Item.java
   D /trunk/weka/src/main/java/weka/associations/XMLRulesProducer.java

Removed the XMLRulesProducer stuff.
------------------------------------------------------------------------
r6498 | mhall | 2010-04-30 11:59:33 +1200 (Fri, 30 Apr 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/associations/AssociationRules.java

Initial import.
------------------------------------------------------------------------
r6499 | mhall | 2010-04-30 12:00:13 +1200 (Fri, 30 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/Apriori.java
   M /trunk/weka/src/main/java/weka/associations/AssociationRulesProducer.java
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java
   M /trunk/weka/src/main/java/weka/gui/explorer/AssociationsPanel.java
   M /trunk/weka/src/main/java/weka/gui/visualize/plugins/AssociationRuleVisualizePlugin.java

Minor changes related to the introduction of the AssociationRules container.
------------------------------------------------------------------------
r6500 | mhall | 2010-04-30 14:31:57 +1200 (Fri, 30 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/Apriori.java
   M /trunk/weka/src/main/java/weka/associations/AssociationRules.java
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java

Added methods to store a string describing the scheme that produced the rules in AssociationRules.
------------------------------------------------------------------------
r6501 | mhall | 2010-04-30 15:24:49 +1200 (Fri, 30 Apr 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/Bagging.java

The out-of-bag error computation was using voting for classification instead of averaging the probability estimates (as is done in distributionForInstance). Changed to make it consistent.
------------------------------------------------------------------------
r6509 | mhall | 2010-05-04 08:47:28 +1200 (Tue, 04 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GUIChooser.java

Missed another system classloader call - fixed.
------------------------------------------------------------------------
r6510 | mhall | 2010-05-04 14:55:46 +1200 (Tue, 04 May 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/associations/FilteredAssociationRules.java

Initial import
------------------------------------------------------------------------
r6511 | mhall | 2010-05-04 14:56:24 +1200 (Tue, 04 May 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/BatchAssociationRulesEvent.java
   A /trunk/weka/src/main/java/weka/gui/beans/BatchAssociationRulesListener.java

Initial import.
------------------------------------------------------------------------
r6512 | mhall | 2010-05-04 14:57:16 +1200 (Tue, 04 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/Apriori.java
   M /trunk/weka/src/main/java/weka/associations/AssociationRules.java
   M /trunk/weka/src/main/java/weka/associations/AssociationRulesProducer.java
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java
   M /trunk/weka/src/main/java/weka/associations/FilteredAssociator.java
   M /trunk/weka/src/main/java/weka/gui/beans/Associator.java
   M /trunk/weka/src/main/java/weka/gui/beans/AssociatorBeanInfo.java

Minor change to AssociationRulesProducer interface. beans/Associator now produces BatchAssociationRules events.
------------------------------------------------------------------------
r6514 | mhall | 2010-05-04 15:02:53 +1200 (Tue, 04 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/ItemSet.java

Removed some TODO comments
------------------------------------------------------------------------
r6520 | mhall | 2010-05-05 14:37:35 +1200 (Wed, 05 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/Denormalize.java

Now ignores attributes or attribute-value combos that were not part of the first batch processed.
------------------------------------------------------------------------
r6522 | mhall | 2010-05-05 14:41:58 +1200 (Wed, 05 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/AssociationRules.java
   M /trunk/weka/src/main/java/weka/associations/FilteredAssociationRules.java
   M /trunk/weka/src/main/java/weka/associations/FilteredAssociator.java

Fixed a bug that was causing a npe when getAssociationRules() was called on FilteredAssociator
------------------------------------------------------------------------
r6523 | mhall | 2010-05-05 14:42:40 +1200 (Wed, 05 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Associator.java

Now includes support in the structure of batchAssociationRules.
------------------------------------------------------------------------
r6527 | mhall | 2010-05-05 15:22:33 +1200 (Wed, 05 May 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/StructureProducer.java

Initial import
------------------------------------------------------------------------
r6528 | mhall | 2010-05-06 15:46:34 +1200 (Thu, 06 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/SupportVectorMachineModel.java

Updated to handle PMML 4.0 features, since PMML 3.2's scoring process is a bit broken.
------------------------------------------------------------------------
r6530 | fracpete | 2010-05-06 16:42:30 +1200 (Thu, 06 May 2010) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PartitionedMultiFilter.java

Dale Fletcher's fix: the testInputFormat(Instances) method now creates fake subsets (with just one instance) for the ranges and tests the sub-filters with these, calling the setInputFormat(Instances) respectively
Otherwise, the testInputFormat(Instances) call fails, since the sub-filters are tested against ALL of the attributes (e.g., filters that only handle numeric attributes will fail on string attributes, even though the string attributes aren't included in the range that they'll be processing)

------------------------------------------------------------------------
r6534 | mhall | 2010-05-11 10:57:22 +1200 (Tue, 11 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Associator.java

Command line options can now be passed to the wrapped associator by setting an environment variable: weka.gui.beans.associator.schemeOptions.
------------------------------------------------------------------------
r6536 | mhall | 2010-05-12 12:29:59 +1200 (Wed, 12 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Associator.java

Is now an EnvironmentHandler.
------------------------------------------------------------------------
r6538 | mhall | 2010-05-12 14:26:57 +1200 (Wed, 12 May 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/associations/NominalItem.java
   A /trunk/weka/src/main/java/weka/associations/NumericItem.java

Initial import.
------------------------------------------------------------------------
r6539 | mhall | 2010-05-12 14:28:01 +1200 (Wed, 12 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/Apriori.java
   M /trunk/weka/src/main/java/weka/associations/BinaryItem.java
   M /trunk/weka/src/main/java/weka/associations/HotSpot.java
   M /trunk/weka/src/main/java/weka/associations/Item.java

HotSpot is now an association rules producer, and now has an option to print out rules rather than a tree structure. Some rearangement of the Item class hierarchy to accomodate this.
------------------------------------------------------------------------
r6543 | mhall | 2010-05-13 12:19:17 +1200 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/Item.java
   M /trunk/weka/src/main/java/weka/associations/NominalItem.java
   M /trunk/weka/src/main/java/weka/associations/NumericItem.java

Added a few more convenience methods. Updated some javadoc.
------------------------------------------------------------------------
r6545 | mhall | 2010-05-18 09:34:55 +1200 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java

Was not properly evaluating upper and lower bounds on min support when accepting a rule - fixed.
------------------------------------------------------------------------
r6548 | mhall | 2010-05-18 11:26:15 +1200 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java

Can now specify lower and upper bounds on min support and delta as a number of instances as well as a fraction of the total instances.
------------------------------------------------------------------------
r6551 | mhall | 2010-05-18 11:28:19 +1200 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/HotSpot.java

Can now specify the target attribute by name, or part thereof (substring matching) as well as using an index or "first" and "last".
------------------------------------------------------------------------
r6553 | mhall | 2010-05-19 12:01:15 +1200 (Wed, 19 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/HotSpot.java

Small tweak to the textual output.
------------------------------------------------------------------------
r6555 | mhall | 2010-05-19 15:44:14 +1200 (Wed, 19 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/AprioriItemSet.java

Some of the additional metrics (lift etc) were not being stored correctly by the moreComplexRules method.
------------------------------------------------------------------------
r6556 | mhall | 2010-05-20 21:00:13 +1200 (Thu, 20 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/MultilayerPerceptron.java

MLP was returning null from distributionForInstance when the array of probabilities contained all zeros! Fixed - now uses the ZeroR model in this case. This bug manifested itself on the letter recognition data when the network was trained with -M 0.8 and -L 0.5 using a 2/3 1/3 split (one instance resulted in an array of all zeros).
------------------------------------------------------------------------
r6559 | mhall | 2010-05-23 08:37:23 +1200 (Sun, 23 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/MultilayerPerceptron.java

Small change to toString() method to make it check the new m_useDefaultModel variable instead of checking whether m_ZeroR is non-null.
------------------------------------------------------------------------
r6564 | mhall | 2010-05-24 11:02:47 +1200 (Mon, 24 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/Discretize.java

No longer creates duplicated attribute names (makeBinary option).
------------------------------------------------------------------------
r6567 | mhall | 2010-05-24 11:05:56 +1200 (Mon, 24 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Discretize.java

No longer creates duplicated attribute names (makeBinary option).
------------------------------------------------------------------------
r6572 | mhall | 2010-05-24 11:31:14 +1200 (Mon, 24 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/lazy/IBk.java

Now uses a ZeroR model if there are no training instances.
------------------------------------------------------------------------
r6576 | mhall | 2010-05-25 13:45:22 +1200 (Tue, 25 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SPegasos.java

Some small bugfixes. Some scaling wasn't being done for every instance (regardless of loss) in the hinge loss case.
------------------------------------------------------------------------
r6579 | mhall | 2010-05-25 13:49:26 +1200 (Tue, 25 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SPegasos.java

Some code improvements from Eibe.
------------------------------------------------------------------------
r6584 | mhall | 2010-05-26 14:22:47 +1200 (Wed, 26 May 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/functions/SGD.java

Initial import of a simple implementation of stochastic gradient descent for learning linear models. Has three loss functions: hinge (SVM), log loss (logistic regression) and squared loss (linear regression). Is an UpdateableClassifier.
------------------------------------------------------------------------
r6586 | mhall | 2010-05-28 10:41:32 +1200 (Fri, 28 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/HierarchicalClusterer.java

Code formatting.
------------------------------------------------------------------------
r6587 | mhall | 2010-05-28 10:48:48 +1200 (Fri, 28 May 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/HierarchicalClusterer.java

Fixed inconsistent tool tip text method name.
------------------------------------------------------------------------
r6596 | fracpete | 2010-06-02 09:56:37 +1200 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/PropertyDialog.java

PropertyDialog now adjusts the height of the dialog if more than 95% of the screen height
position of the dialog gets adjusted to be fully displayed on screen (unfortunately, the buttons might still get hidden by the Windows taskbar)
------------------------------------------------------------------------
r6599 | mhall | 2010-06-03 15:11:52 +1200 (Thu, 03 Jun 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java

Added a special command line only option that allows FPGrowth to perform its two passes over the data by reading one instance at a time incrementally off of disk (rather than the default of loading all the data into main memory).
------------------------------------------------------------------------
r6601 | mhall | 2010-06-11 09:45:15 +1200 (Fri, 11 Jun 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererAssignmentsPlotInstances.java

Made the cluster labels in the legend 0-based instead of 1-based in order to match the textual output.
------------------------------------------------------------------------
r6605 | mhall | 2010-06-11 10:32:58 +1200 (Fri, 11 Jun 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/Cobweb.java

The clusterInstance method was downdating node stats using the instance to be clustered before finding the best host and then restoring the status quo. This probably makes sense for clustering the same data that was used to generate the tree, but doesn't really make sense for clustering new data.
------------------------------------------------------------------------
r6612 | remco | 2010-06-14 19:09:42 +1200 (Mon, 14 Jun 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/SearchAlgorithm.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/HillClimber.java

Option added to start search from Bayes network stored in file
------------------------------------------------------------------------
r6613 | mhall | 2010-06-18 10:35:19 +1200 (Fri, 18 Jun 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/visualize/MatrixPanel.java

Added an option to scroll faster. This is of particular help on Mac systems as the scrolling seems quite painful for anything but a very small number of instances. Plots onto an image and displays the image. Cells are rendered onto the image only once (when they first become visible in the display area). The image gets recreated when plotsize, pointsize or jitter is adjusted. Consumes more memory than the standard (default) scrolling as it requires the creation of an image (in fact two images may be in memory briefly until the old one is garbage collected).
------------------------------------------------------------------------
r6615 | mhall | 2010-06-29 13:38:55 +1200 (Tue, 29 Jun 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.java

When adding a JDBC driver and it is not in the classpath, now prints "Warning, not in CLASSPATH?" rather than "Error...".
------------------------------------------------------------------------
r6621 | mhall | 2010-07-05 10:24:39 +1200 (Mon, 05 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/RegOptimizer.java

Fixed bug where a loop a loop iteration was not correct for sparse instances.
------------------------------------------------------------------------
r6623 | mhall | 2010-07-05 11:03:54 +1200 (Mon, 05 Jul 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/Run.java
   A /trunk/weka/src/main/java/weka/core/WekaPackageManager.java
   A /trunk/weka/src/main/java/weka/gui/ETable.java
   A /trunk/weka/src/main/java/weka/gui/PackageManager.java

Initial import.
------------------------------------------------------------------------
r6624 | mhall | 2010-07-05 11:05:36 +1200 (Mon, 05 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/build.xml
   M /trunk/weka/src/main/java/weka/associations/AbstractAssociator.java
   M /trunk/weka/src/main/java/weka/attributeSelection/ASEvaluation.java
   M /trunk/weka/src/main/java/weka/classifiers/AbstractClassifier.java
   M /trunk/weka/src/main/java/weka/clusterers/AbstractClusterer.java
   M /trunk/weka/src/main/java/weka/core/ClassDiscovery.java
   M /trunk/weka/src/main/java/weka/core/Utils.java
   M /trunk/weka/src/main/java/weka/core/converters/ConverterUtils.java
   M /trunk/weka/src/main/java/weka/filters/Filter.java
   M /trunk/weka/src/main/java/weka/gui/GUIChooser.java
   M /trunk/weka/src/main/java/weka/gui/GUIEditors.props
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.java
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.props
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ExplorerDefaults.java
   M /trunk/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java

Changes to support the new package management system.
------------------------------------------------------------------------
r6627 | mhall | 2010-07-05 11:20:53 +1200 (Mon, 05 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java

Removed reference to RepositoryIndexGenerator
------------------------------------------------------------------------
r6629 | mhall | 2010-07-05 11:46:41 +1200 (Mon, 05 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Repository URL points to Waikato temporarily until it gets established on sourceforge.
------------------------------------------------------------------------
r6637 | mhall | 2010-07-07 16:17:12 +1200 (Wed, 07 Jul 2010) | 1 line
Changed paths:
   A /trunk/packages/external/CLOPE
   A /trunk/packages/external/CLOPE/Description.props
   A /trunk/packages/external/CLOPE/build_package.xml
   A /trunk/packages/external/CLOPE/lib
   A /trunk/packages/external/CLOPE/src
   A /trunk/packages/external/CLOPE/src/main
   A /trunk/packages/external/CLOPE/src/main/java
   A /trunk/packages/external/CLOPE/src/main/java/weka
   A /trunk/packages/external/CLOPE/src/main/java/weka/clusterers
   A /trunk/packages/external/CLOPE/src/main/java/weka/clusterers/CLOPE.java (from /trunk/weka/src/main/java/weka/clusterers/CLOPE.java:6635)
   A /trunk/packages/external/CLOPE/src/test
   A /trunk/packages/external/CLOPE/src/test/java
   A /trunk/packages/external/CLOPE/src/test/java/weka
   A /trunk/packages/external/CLOPE/src/test/java/weka/clusterers
   A /trunk/packages/external/CLOPE/src/test/java/weka/clusterers/CLOPETest.java (from /trunk/weka/src/test/java/weka/clusterers/CLOPETest.java:6635)
   A /trunk/packages/external/DMNBtext
   A /trunk/packages/external/DMNBtext/Description.props
   A /trunk/packages/external/DMNBtext/build_package.xml
   A /trunk/packages/external/DMNBtext/lib
   A /trunk/packages/external/DMNBtext/src
   A /trunk/packages/external/DMNBtext/src/main
   A /trunk/packages/external/DMNBtext/src/main/java
   A /trunk/packages/external/DMNBtext/src/main/java/weka
   A /trunk/packages/external/DMNBtext/src/main/java/weka/classifiers
   A /trunk/packages/external/DMNBtext/src/main/java/weka/classifiers/bayes
   A /trunk/packages/external/DMNBtext/src/main/java/weka/classifiers/bayes/DMNBtext.java (from /trunk/weka/src/main/java/weka/classifiers/bayes/DMNBtext.java:6635)
   A /trunk/packages/external/DMNBtext/src/test
   A /trunk/packages/external/DMNBtext/src/test/java
   A /trunk/packages/external/DMNBtext/src/test/java/weka
   A /trunk/packages/external/DMNBtext/src/test/java/weka/classifiers
   A /trunk/packages/external/DMNBtext/src/test/java/weka/classifiers/bayes
   A /trunk/packages/external/DMNBtext/src/test/java/weka/classifiers/bayes/DMNBtextTest.java (from /trunk/weka/src/test/java/weka/classifiers/bayes/DMNBtextTest.java:6635)
   A /trunk/packages/external/EMImputation
   A /trunk/packages/external/EMImputation/Description.props
   A /trunk/packages/external/EMImputation/build_package.xml
   A /trunk/packages/external/EMImputation/lib
   A /trunk/packages/external/EMImputation/src
   A /trunk/packages/external/EMImputation/src/main
   A /trunk/packages/external/EMImputation/src/main/java
   A /trunk/packages/external/EMImputation/src/main/java/weka
   A /trunk/packages/external/EMImputation/src/main/java/weka/filters
   A /trunk/packages/external/EMImputation/src/main/java/weka/filters/unsupervised
   A /trunk/packages/external/EMImputation/src/main/java/weka/filters/unsupervised/attribute
   A /trunk/packages/external/EMImputation/src/main/java/weka/filters/unsupervised/attribute/EMImputation.java (from /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/EMImputation.java:6635)
   A /trunk/packages/external/EMImputation/src/test
   A /trunk/packages/external/EMImputation/src/test/java
   A /trunk/packages/external/EMImputation/src/test/java/weka
   A /trunk/packages/external/EMImputation/src/test/java/weka/filters
   A /trunk/packages/external/EMImputation/src/test/java/weka/filters/unsupervised
   A /trunk/packages/external/EMImputation/src/test/java/weka/filters/unsupervised/attribute
   A /trunk/packages/external/EMImputation/src/test/java/weka/filters/unsupervised/attribute/EMImputationTest.java (from /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/EMImputationTest.java:6635)
   A /trunk/packages/external/J48graft
   A /trunk/packages/external/J48graft/Description.props
   A /trunk/packages/external/J48graft/build_package.xml
   A /trunk/packages/external/J48graft/lib
   A /trunk/packages/external/J48graft/src
   A /trunk/packages/external/J48graft/src/main
   A /trunk/packages/external/J48graft/src/main/java
   A /trunk/packages/external/J48graft/src/main/java/weka
   A /trunk/packages/external/J48graft/src/main/java/weka/classifiers
   A /trunk/packages/external/J48graft/src/main/java/weka/classifiers/trees
   A /trunk/packages/external/J48graft/src/main/java/weka/classifiers/trees/J48graft.java (from /trunk/weka/src/main/java/weka/classifiers/trees/J48graft.java:6635)
   A /trunk/packages/external/J48graft/src/test
   A /trunk/packages/external/J48graft/src/test/java
   A /trunk/packages/external/J48graft/src/test/java/weka
   A /trunk/packages/external/J48graft/src/test/java/weka/classifiers
   A /trunk/packages/external/J48graft/src/test/java/weka/classifiers/trees
   A /trunk/packages/external/J48graft/src/test/java/weka/classifiers/trees/J48graftTest.java (from /trunk/weka/src/test/java/weka/classifiers/trees/J48graftTest.java:6635)
   A /trunk/packages/external/LibLINEAR
   A /trunk/packages/external/LibLINEAR/Description.props
   A /trunk/packages/external/LibLINEAR/build_package.xml
   A /trunk/packages/external/LibLINEAR/lib
   A /trunk/packages/external/LibLINEAR/src
   A /trunk/packages/external/LibLINEAR/src/main
   A /trunk/packages/external/LibLINEAR/src/main/java
   A /trunk/packages/external/LibLINEAR/src/main/java/weka
   A /trunk/packages/external/LibLINEAR/src/main/java/weka/classifiers
   A /trunk/packages/external/LibLINEAR/src/main/java/weka/classifiers/functions
   A /trunk/packages/external/LibLINEAR/src/main/java/weka/classifiers/functions/LibLINEAR.java (from /trunk/weka/src/main/java/weka/classifiers/functions/LibLINEAR.java:6635)
   A /trunk/packages/external/LibLINEAR/src/test
   A /trunk/packages/external/LibLINEAR/src/test/java
   A /trunk/packages/external/LibLINEAR/src/test/java/weka
   A /trunk/packages/external/LibLINEAR/src/test/java/weka/classifiers
   A /trunk/packages/external/LibLINEAR/src/test/java/weka/classifiers/functions
   A /trunk/packages/external/LibLINEAR/src/test/java/weka/classifiers/functions/LibLINEARTest.java (from /trunk/weka/src/test/java/weka/classifiers/functions/LibLINEARTest.java:6635)
   A /trunk/packages/external/LibSVM
   A /trunk/packages/external/LibSVM/Description.props
   A /trunk/packages/external/LibSVM/build_package.xml
   A /trunk/packages/external/LibSVM/lib
   A /trunk/packages/external/LibSVM/src
   A /trunk/packages/external/LibSVM/src/main
   A /trunk/packages/external/LibSVM/src/main/java
   A /trunk/packages/external/LibSVM/src/main/java/weka
   A /trunk/packages/external/LibSVM/src/main/java/weka/classifiers
   A /trunk/packages/external/LibSVM/src/main/java/weka/classifiers/functions
   A /trunk/packages/external/LibSVM/src/main/java/weka/classifiers/functions/LibSVM.java (from /trunk/weka/src/main/java/weka/classifiers/functions/LibSVM.java:6635)
   A /trunk/packages/external/LibSVM/src/test
   A /trunk/packages/external/LibSVM/src/test/java
   A /trunk/packages/external/LibSVM/src/test/java/weka
   A /trunk/packages/external/LibSVM/src/test/java/weka/classifiers
   A /trunk/packages/external/LibSVM/src/test/java/weka/classifiers/functions
   A /trunk/packages/external/LibSVM/src/test/java/weka/classifiers/functions/LibSVMTest.java (from /trunk/weka/src/test/java/weka/classifiers/functions/LibSVMTest.java:6635)
   A /trunk/packages/external/NNge
   A /trunk/packages/external/NNge/Description.props
   A /trunk/packages/external/NNge/build_package.xml
   A /trunk/packages/external/NNge/lib
   A /trunk/packages/external/NNge/src
   A /trunk/packages/external/NNge/src/main
   A /trunk/packages/external/NNge/src/main/java
   A /trunk/packages/external/NNge/src/main/java/weka
   A /trunk/packages/external/NNge/src/main/java/weka/classifiers
   A /trunk/packages/external/NNge/src/main/java/weka/classifiers/rules
   A /trunk/packages/external/NNge/src/main/java/weka/classifiers/rules/NNge.java (from /trunk/weka/src/main/java/weka/classifiers/rules/NNge.java:6635)
   A /trunk/packages/external/NNge/src/test
   A /trunk/packages/external/NNge/src/test/java
   A /trunk/packages/external/NNge/src/test/java/weka
   A /trunk/packages/external/NNge/src/test/java/weka/classifiers
   A /trunk/packages/external/NNge/src/test/java/weka/classifiers/misc (from /trunk/weka/src/test/java/weka/classifiers/rules/NNgeTest.java:6635)
   A /trunk/packages/external/NNge/src/test/java/weka/classifiers/rules
   A /trunk/packages/external/SMOTE
   A /trunk/packages/external/SMOTE/Description.props
   A /trunk/packages/external/SMOTE/build_package.xml
   A /trunk/packages/external/SMOTE/lib
   A /trunk/packages/external/SMOTE/src
   A /trunk/packages/external/SMOTE/src/main
   A /trunk/packages/external/SMOTE/src/main/java
   A /trunk/packages/external/SMOTE/src/main/java/weka
   A /trunk/packages/external/SMOTE/src/main/java/weka/filters
   A /trunk/packages/external/SMOTE/src/main/java/weka/filters/supervised
   A /trunk/packages/external/SMOTE/src/main/java/weka/filters/supervised/instance
   A /trunk/packages/external/SMOTE/src/main/java/weka/filters/supervised/instance/SMOTE.java (from /trunk/weka/src/main/java/weka/filters/supervised/instance/SMOTE.java:6635)
   A /trunk/packages/external/SMOTE/src/test
   A /trunk/packages/external/SMOTE/src/test/java
   A /trunk/packages/external/SMOTE/src/test/java/weka
   A /trunk/packages/external/SMOTE/src/test/java/weka/filters
   A /trunk/packages/external/SMOTE/src/test/java/weka/filters/supervised
   A /trunk/packages/external/SMOTE/src/test/java/weka/filters/supervised/instance
   A /trunk/packages/external/SMOTE/src/test/java/weka/filters/supervised/instance/SMOTETest.java (from /trunk/weka/src/test/java/weka/filters/supervised/instance/SMOTETest.java:6635)
   A /trunk/packages/external/associationRulesVisualizer
   A /trunk/packages/external/associationRulesVisualizer/lib
   A /trunk/packages/external/associationRulesVisualizer/src
   A /trunk/packages/external/associationRulesVisualizer/src/main
   A /trunk/packages/external/associationRulesVisualizer/src/main/java
   A /trunk/packages/external/associationRulesVisualizer/src/test
   A /trunk/packages/external/associationRulesVisualizer/src/test/java
   A /trunk/packages/external/averagedOneDependenceEstimators
   A /trunk/packages/external/averagedOneDependenceEstimators/Description.props
   A /trunk/packages/external/averagedOneDependenceEstimators/build_package.xml
   A /trunk/packages/external/averagedOneDependenceEstimators/lib
   A /trunk/packages/external/averagedOneDependenceEstimators/src
   A /trunk/packages/external/averagedOneDependenceEstimators/src/main
   A /trunk/packages/external/averagedOneDependenceEstimators/src/main/java
   A /trunk/packages/external/averagedOneDependenceEstimators/src/main/java/weka
   A /trunk/packages/external/averagedOneDependenceEstimators/src/main/java/weka/classifiers
   A /trunk/packages/external/averagedOneDependenceEstimators/src/main/java/weka/classifiers/bayes
   A /trunk/packages/external/averagedOneDependenceEstimators/src/main/java/weka/classifiers/bayes/AODE.java (from /trunk/weka/src/main/java/weka/classifiers/bayes/AODE.java:6635)
   A /trunk/packages/external/averagedOneDependenceEstimators/src/main/java/weka/classifiers/bayes/AODEsr.java (from /trunk/weka/src/main/java/weka/classifiers/bayes/AODEsr.java:6635)
   A /trunk/packages/external/averagedOneDependenceEstimators/src/main/java/weka/classifiers/bayes/WAODE.java (from /trunk/weka/src/main/java/weka/classifiers/bayes/WAODE.java:6635)
   A /trunk/packages/external/averagedOneDependenceEstimators/src/test
   A /trunk/packages/external/averagedOneDependenceEstimators/src/test/java
   A /trunk/packages/external/averagedOneDependenceEstimators/src/test/java/weka
   A /trunk/packages/external/averagedOneDependenceEstimators/src/test/java/weka/classifiers
   A /trunk/packages/external/averagedOneDependenceEstimators/src/test/java/weka/classifiers/bayes
   A /trunk/packages/external/averagedOneDependenceEstimators/src/test/java/weka/classifiers/bayes/AODETest.java (from /trunk/weka/src/test/java/weka/classifiers/bayes/AODETest.java:6635)
   A /trunk/packages/external/averagedOneDependenceEstimators/src/test/java/weka/classifiers/bayes/AODEsrTest.java (from /trunk/weka/src/test/java/weka/classifiers/bayes/AODEsrTest.java:6635)
   A /trunk/packages/external/averagedOneDependenceEstimators/src/test/java/weka/classifiers/bayes/WAODETest.java (from /trunk/weka/src/test/java/weka/classifiers/bayes/WAODETest.java:6635)
   A /trunk/packages/external/bayesianLogisticRegression
   A /trunk/packages/external/bayesianLogisticRegression/Description.props
   A /trunk/packages/external/bayesianLogisticRegression/build_package.xml
   A /trunk/packages/external/bayesianLogisticRegression/lib
   A /trunk/packages/external/bayesianLogisticRegression/src
   A /trunk/packages/external/bayesianLogisticRegression/src/main
   A /trunk/packages/external/bayesianLogisticRegression/src/main/java
   A /trunk/packages/external/bayesianLogisticRegression/src/main/java/weka
   A /trunk/packages/external/bayesianLogisticRegression/src/main/java/weka/classifiers
   A /trunk/packages/external/bayesianLogisticRegression/src/main/java/weka/classifiers/bayes
   A /trunk/packages/external/bayesianLogisticRegression/src/main/java/weka/classifiers/bayes/BayesianLogisticRegression.java (from /trunk/weka/src/main/java/weka/classifiers/bayes/BayesianLogisticRegression.java:6635)
   A /trunk/packages/external/bayesianLogisticRegression/src/main/java/weka/classifiers/bayes/blr (from /trunk/weka/src/main/java/weka/classifiers/bayes/blr:6635)
   A /trunk/packages/external/bayesianLogisticRegression/src/test
   A /trunk/packages/external/bayesianLogisticRegression/src/test/java
   A /trunk/packages/external/bayesianLogisticRegression/src/test/java/weka
   A /trunk/packages/external/bayesianLogisticRegression/src/test/java/weka/classifiers
   A /trunk/packages/external/bayesianLogisticRegression/src/test/java/weka/classifiers/bayes
   A /trunk/packages/external/bayesianLogisticRegression/src/test/java/weka/classifiers/bayes/BayesianLogisticRegressionTest.java (from /trunk/weka/src/test/java/weka/classifiers/bayes/BayesianLogisticRegressionTest.java:6635)
   A /trunk/packages/external/citationKNN
   A /trunk/packages/external/citationKNN/lib
   A /trunk/packages/external/citationKNN/src
   A /trunk/packages/external/citationKNN/src/main
   A /trunk/packages/external/citationKNN/src/main/java
   A /trunk/packages/external/citationKNN/src/test
   A /trunk/packages/external/citationKNN/src/test/java
   A /trunk/packages/external/classifierErrors
   A /trunk/packages/external/classifierErrors/lib
   A /trunk/packages/external/classifierErrors/src
   A /trunk/packages/external/classifierErrors/src/main
   A /trunk/packages/external/classifierErrors/src/main/java
   A /trunk/packages/external/classifierErrors/src/test
   A /trunk/packages/external/classifierErrors/src/test/java
   A /trunk/packages/external/decorate
   A /trunk/packages/external/decorate/Description.props
   A /trunk/packages/external/decorate/build_package.xml
   A /trunk/packages/external/decorate/lib
   A /trunk/packages/external/decorate/src
   A /trunk/packages/external/decorate/src/main
   A /trunk/packages/external/decorate/src/main/java
   A /trunk/packages/external/decorate/src/main/java/weka
   A /trunk/packages/external/decorate/src/main/java/weka/classifiers
   A /trunk/packages/external/decorate/src/main/java/weka/classifiers/meta
   A /trunk/packages/external/decorate/src/main/java/weka/classifiers/meta/Decorate.java (from /trunk/weka/src/main/java/weka/classifiers/meta/Decorate.java:6635)
   A /trunk/packages/external/decorate/src/test
   A /trunk/packages/external/decorate/src/test/java
   A /trunk/packages/external/decorate/src/test/java/weka
   A /trunk/packages/external/decorate/src/test/java/weka/classifiers
   A /trunk/packages/external/decorate/src/test/java/weka/classifiers/meta
   A /trunk/packages/external/decorate/src/test/java/weka/classifiers/meta/DecorateTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/DecorateTest.java:6635)
   A /trunk/packages/external/ensembleLibrary
   A /trunk/packages/external/ensembleLibrary/Description.props
   A /trunk/packages/external/ensembleLibrary/build_package.xml
   A /trunk/packages/external/ensembleLibrary/lib
   A /trunk/packages/external/ensembleLibrary/src
   A /trunk/packages/external/ensembleLibrary/src/main
   A /trunk/packages/external/ensembleLibrary/src/main/java
   A /trunk/packages/external/ensembleLibrary/src/main/java/weka
   A /trunk/packages/external/ensembleLibrary/src/main/java/weka/classifiers
   A /trunk/packages/external/ensembleLibrary/src/main/java/weka/classifiers/EnsembleLibrary.java (from /trunk/weka/src/main/java/weka/classifiers/EnsembleLibrary.java:6635)
   A /trunk/packages/external/ensembleLibrary/src/main/java/weka/classifiers/EnsembleLibraryModel.java (from /trunk/weka/src/main/java/weka/classifiers/EnsembleLibraryModel.java:6635)
   A /trunk/packages/external/ensembleLibrary/src/main/java/weka/classifiers/EnsembleLibraryModelComparator.java (from /trunk/weka/src/main/java/weka/classifiers/EnsembleLibraryModelComparator.java:6635)
   A /trunk/packages/external/ensembleLibrary/src/main/java/weka/classifiers/meta
   A /trunk/packages/external/ensembleLibrary/src/main/java/weka/classifiers/meta/EnsembleSelection.java (from /trunk/weka/src/main/java/weka/classifiers/meta/EnsembleSelection.java:6635)
   A /trunk/packages/external/ensembleLibrary/src/main/java/weka/classifiers/meta/ensembleSelection (from /trunk/weka/src/main/java/weka/classifiers/meta/ensembleSelection:6635)
   A /trunk/packages/external/ensembleLibrary/src/main/java/weka/gui
   A /trunk/packages/external/ensembleLibrary/src/main/java/weka/gui/EnsembleLibraryEditor.java (from /trunk/weka/src/main/java/weka/gui/EnsembleLibraryEditor.java:6635)
   A /trunk/packages/external/ensembleLibrary/src/main/java/weka/gui/EnsembleSelectionLibraryEditor.java (from /trunk/weka/src/main/java/weka/gui/EnsembleSelectionLibraryEditor.java:6635)
   A /trunk/packages/external/ensembleLibrary/src/main/java/weka/gui/ensembleLibraryEditor (from /trunk/weka/src/main/java/weka/gui/ensembleLibraryEditor:6635)
   A /trunk/packages/external/ensembleLibrary/src/test
   A /trunk/packages/external/ensembleLibrary/src/test/java
   A /trunk/packages/external/ensembleLibrary/src/test/java/weka
   A /trunk/packages/external/ensembleLibrary/src/test/java/weka/classifiers
   A /trunk/packages/external/ensembleLibrary/src/test/java/weka/classifiers/meta
   A /trunk/packages/external/ensembleLibrary/src/test/java/weka/classifiers/meta/EnsembleSelectionTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/EnsembleSelectionTest.java:6635)
   A /trunk/packages/external/fastCorrBasedFS
   A /trunk/packages/external/fastCorrBasedFS/Description.props
   A /trunk/packages/external/fastCorrBasedFS/build_package.xml
   A /trunk/packages/external/fastCorrBasedFS/lib
   A /trunk/packages/external/fastCorrBasedFS/src
   A /trunk/packages/external/fastCorrBasedFS/src/main
   A /trunk/packages/external/fastCorrBasedFS/src/main/java
   A /trunk/packages/external/fastCorrBasedFS/src/main/java/weka
   A /trunk/packages/external/fastCorrBasedFS/src/main/java/weka/attributeSelection
   A /trunk/packages/external/fastCorrBasedFS/src/main/java/weka/attributeSelection/FCBFSearch.java (from /trunk/weka/src/main/java/weka/attributeSelection/FCBFSearch.java:6635)
   A /trunk/packages/external/fastCorrBasedFS/src/main/java/weka/attributeSelection/SymmetricalUncertAttributeSetEval.java (from /trunk/weka/src/main/java/weka/attributeSelection/SymmetricalUncertAttributeSetEval.java:6635)
   A /trunk/packages/external/fastCorrBasedFS/src/test
   A /trunk/packages/external/fastCorrBasedFS/src/test/java
   A /trunk/packages/external/fastCorrBasedFS/src/test/java/weka
   A /trunk/packages/external/fastCorrBasedFS/src/test/java/weka/attributeSelection
   A /trunk/packages/external/fastCorrBasedFS/src/test/java/weka/attributeSelection/FCBFSearchTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/FCBFSearchTest.java:6635)
   A /trunk/packages/external/fastCorrBasedFS/src/test/java/weka/attributeSelection/SymmetricalUncertAttributeSetEvalTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/SymmetricalUncertAttributeSetEvalTest.java:6635)
   A /trunk/packages/external/functionalTrees
   A /trunk/packages/external/functionalTrees/Description.props
   A /trunk/packages/external/functionalTrees/build_package.xml
   A /trunk/packages/external/functionalTrees/lib
   A /trunk/packages/external/functionalTrees/src
   A /trunk/packages/external/functionalTrees/src/main
   A /trunk/packages/external/functionalTrees/src/main/java
   A /trunk/packages/external/functionalTrees/src/main/java/weka
   A /trunk/packages/external/functionalTrees/src/main/java/weka/classifiers
   A /trunk/packages/external/functionalTrees/src/main/java/weka/classifiers/trees
   A /trunk/packages/external/functionalTrees/src/main/java/weka/classifiers/trees/FT.java (from /trunk/weka/src/main/java/weka/classifiers/trees/FT.java:6635)
   A /trunk/packages/external/functionalTrees/src/main/java/weka/classifiers/trees/ft (from /trunk/weka/src/main/java/weka/classifiers/trees/ft:6635)
   A /trunk/packages/external/functionalTrees/src/test
   A /trunk/packages/external/functionalTrees/src/test/java
   A /trunk/packages/external/functionalTrees/src/test/java/weka
   A /trunk/packages/external/functionalTrees/src/test/java/weka/classifiers
   A /trunk/packages/external/functionalTrees/src/test/java/weka/classifiers/trees
   A /trunk/packages/external/functionalTrees/src/test/java/weka/classifiers/trees/FTTest.java (from /trunk/weka/src/test/java/weka/classifiers/trees/FTTest.java:6635)
   A /trunk/packages/external/fuzzyLaticeReasoning
   A /trunk/packages/external/fuzzyLaticeReasoning/Description.props
   A /trunk/packages/external/fuzzyLaticeReasoning/build_package.xml
   A /trunk/packages/external/fuzzyLaticeReasoning/lib
   A /trunk/packages/external/fuzzyLaticeReasoning/src
   A /trunk/packages/external/fuzzyLaticeReasoning/src/main
   A /trunk/packages/external/fuzzyLaticeReasoning/src/main/java
   A /trunk/packages/external/fuzzyLaticeReasoning/src/main/java/weka
   A /trunk/packages/external/fuzzyLaticeReasoning/src/main/java/weka/classifiers
   A /trunk/packages/external/fuzzyLaticeReasoning/src/main/java/weka/classifiers/misc
   A /trunk/packages/external/fuzzyLaticeReasoning/src/main/java/weka/classifiers/misc/FLR.java (from /trunk/weka/src/main/java/weka/classifiers/misc/FLR.java:6635)
   A /trunk/packages/external/fuzzyLaticeReasoning/src/test
   A /trunk/packages/external/fuzzyLaticeReasoning/src/test/java
   A /trunk/packages/external/fuzzyLaticeReasoning/src/test/java/weka
   A /trunk/packages/external/fuzzyLaticeReasoning/src/test/java/weka/classifiers
   A /trunk/packages/external/fuzzyLaticeReasoning/src/test/java/weka/classifiers/misc
   A /trunk/packages/external/fuzzyLaticeReasoning/src/test/java/weka/classifiers/misc/FLRTest.java (from /trunk/weka/src/test/java/weka/classifiers/misc/FLRTest.java:6635)
   A /trunk/packages/external/fuzzyUnorderedRuleInduction
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/Description.props
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/build_package.xml
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/lib
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/src
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/src/main
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/src/main/java
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/src/main/java/weka
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/src/main/java/weka/classifiers
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/src/main/java/weka/classifiers/rules
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/src/main/java/weka/classifiers/rules/FURIA.java (from /trunk/weka/src/main/java/weka/classifiers/rules/FURIA.java:6635)
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/src/test
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/src/test/java
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/src/test/java/weka
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/src/test/java/weka/classifiers
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/src/test/java/weka/classifiers/rules
   A /trunk/packages/external/fuzzyUnorderedRuleInduction/src/test/java/weka/classifiers/rules/FURIATest.java (from /trunk/weka/src/test/java/weka/classifiers/rules/FURIATest.java:6635)
   A /trunk/packages/external/generalizedSequentialPatterns
   A /trunk/packages/external/generalizedSequentialPatterns/Description.props
   A /trunk/packages/external/generalizedSequentialPatterns/build_package.xml
   A /trunk/packages/external/generalizedSequentialPatterns/lib
   A /trunk/packages/external/generalizedSequentialPatterns/src
   A /trunk/packages/external/generalizedSequentialPatterns/src/main
   A /trunk/packages/external/generalizedSequentialPatterns/src/main/java
   A /trunk/packages/external/generalizedSequentialPatterns/src/main/java/weka
   A /trunk/packages/external/generalizedSequentialPatterns/src/main/java/weka/associations
   A /trunk/packages/external/generalizedSequentialPatterns/src/main/java/weka/associations/GeneralizedSequentialPatterns.java (from /trunk/weka/src/main/java/weka/associations/GeneralizedSequentialPatterns.java:6635)
   A /trunk/packages/external/generalizedSequentialPatterns/src/main/java/weka/associations/gsp (from /trunk/weka/src/main/java/weka/associations/gsp:6635)
   A /trunk/packages/external/generalizedSequentialPatterns/src/test
   A /trunk/packages/external/generalizedSequentialPatterns/src/test/java
   A /trunk/packages/external/generalizedSequentialPatterns/src/test/java/weka
   A /trunk/packages/external/generalizedSequentialPatterns/src/test/java/weka/associations
   A /trunk/packages/external/generalizedSequentialPatterns/src/test/java/weka/associations/GeneralizedSequentialPatternsTest.java (from /trunk/weka/src/test/java/weka/associations/GeneralizedSequentialPatternsTest.java:6635)
   A /trunk/packages/external/hiddenNaiveBayes
   A /trunk/packages/external/hiddenNaiveBayes/Description.props
   A /trunk/packages/external/hiddenNaiveBayes/build_package.xml
   A /trunk/packages/external/hiddenNaiveBayes/lib
   A /trunk/packages/external/hiddenNaiveBayes/src
   A /trunk/packages/external/hiddenNaiveBayes/src/main
   A /trunk/packages/external/hiddenNaiveBayes/src/main/java
   A /trunk/packages/external/hiddenNaiveBayes/src/main/java/weka
   A /trunk/packages/external/hiddenNaiveBayes/src/main/java/weka/classifiers
   A /trunk/packages/external/hiddenNaiveBayes/src/main/java/weka/classifiers/bayes
   A /trunk/packages/external/hiddenNaiveBayes/src/main/java/weka/classifiers/bayes/HNB.java (from /trunk/weka/src/main/java/weka/classifiers/bayes/HNB.java:6635)
   A /trunk/packages/external/hiddenNaiveBayes/src/test
   A /trunk/packages/external/hiddenNaiveBayes/src/test/java
   A /trunk/packages/external/hiddenNaiveBayes/src/test/java/weka
   A /trunk/packages/external/hiddenNaiveBayes/src/test/java/weka/classifiers
   A /trunk/packages/external/hiddenNaiveBayes/src/test/java/weka/classifiers/bayes
   A /trunk/packages/external/hiddenNaiveBayes/src/test/java/weka/classifiers/bayes/HNBTest.java (from /trunk/weka/src/test/java/weka/classifiers/bayes/HNBTest.java:6635)
   A /trunk/packages/external/kfGroovy
   A /trunk/packages/external/kfGroovy/lib
   A /trunk/packages/external/kfGroovy/src
   A /trunk/packages/external/kfGroovy/src/main
   A /trunk/packages/external/kfGroovy/src/main/java
   A /trunk/packages/external/kfGroovy/src/test
   A /trunk/packages/external/kfGroovy/src/test/java
   A /trunk/packages/external/kfKettle
   A /trunk/packages/external/kfKettle/lib
   A /trunk/packages/external/kfKettle/src
   A /trunk/packages/external/kfKettle/src/main
   A /trunk/packages/external/kfKettle/src/main/java
   A /trunk/packages/external/kfKettle/src/test
   A /trunk/packages/external/kfKettle/src/test/java
   A /trunk/packages/external/latentSemanticAnalysis
   A /trunk/packages/external/latentSemanticAnalysis/Description.props
   A /trunk/packages/external/latentSemanticAnalysis/build_package.xml
   A /trunk/packages/external/latentSemanticAnalysis/lib
   A /trunk/packages/external/latentSemanticAnalysis/src
   A /trunk/packages/external/latentSemanticAnalysis/src/main
   A /trunk/packages/external/latentSemanticAnalysis/src/main/java
   A /trunk/packages/external/latentSemanticAnalysis/src/main/java/weka
   A /trunk/packages/external/latentSemanticAnalysis/src/main/java/weka/attributeSelection
   A /trunk/packages/external/latentSemanticAnalysis/src/main/java/weka/attributeSelection/LatentSemanticAnalysis.java (from /trunk/weka/src/main/java/weka/attributeSelection/LatentSemanticAnalysis.java:6635)
   A /trunk/packages/external/latentSemanticAnalysis/src/test
   A /trunk/packages/external/latentSemanticAnalysis/src/test/java
   A /trunk/packages/external/latentSemanticAnalysis/src/test/java/weka
   A /trunk/packages/external/latentSemanticAnalysis/src/test/java/weka/attributeSelection
   A /trunk/packages/external/latentSemanticAnalysis/src/test/java/weka/attributeSelection/LatentSemanticAnalysisTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/LatentSemanticAnalysisTest.java:6635)
   A /trunk/packages/external/lazyBayesianRules
   A /trunk/packages/external/lazyBayesianRules/Description.props
   A /trunk/packages/external/lazyBayesianRules/build_package.xml
   A /trunk/packages/external/lazyBayesianRules/lib
   A /trunk/packages/external/lazyBayesianRules/src
   A /trunk/packages/external/lazyBayesianRules/src/main
   A /trunk/packages/external/lazyBayesianRules/src/main/java
   A /trunk/packages/external/lazyBayesianRules/src/main/java/weka
   A /trunk/packages/external/lazyBayesianRules/src/main/java/weka/classifiers
   A /trunk/packages/external/lazyBayesianRules/src/main/java/weka/classifiers/lazy
   A /trunk/packages/external/lazyBayesianRules/src/main/java/weka/classifiers/lazy/LBR.java (from /trunk/weka/src/main/java/weka/classifiers/lazy/LBR.java:6635)
   A /trunk/packages/external/lazyBayesianRules/src/test
   A /trunk/packages/external/lazyBayesianRules/src/test/java
   A /trunk/packages/external/lazyBayesianRules/src/test/java/weka
   A /trunk/packages/external/lazyBayesianRules/src/test/java/weka/classifiers
   A /trunk/packages/external/lazyBayesianRules/src/test/java/weka/classifiers/lazy
   A /trunk/packages/external/lazyBayesianRules/src/test/java/weka/classifiers/lazy/LBRTest.java (from /trunk/weka/src/test/java/weka/classifiers/lazy/LBRTest.java:6635)
   A /trunk/packages/external/levenshteinEditDistance
   A /trunk/packages/external/levenshteinEditDistance/Description.props
   A /trunk/packages/external/levenshteinEditDistance/build_package.xml
   A /trunk/packages/external/levenshteinEditDistance/lib
   A /trunk/packages/external/levenshteinEditDistance/src
   A /trunk/packages/external/levenshteinEditDistance/src/main
   A /trunk/packages/external/levenshteinEditDistance/src/main/java
   A /trunk/packages/external/levenshteinEditDistance/src/main/java/weka
   A /trunk/packages/external/levenshteinEditDistance/src/main/java/weka/core
   A /trunk/packages/external/levenshteinEditDistance/src/main/java/weka/core/AbstractStringDistanceFunction.java (from /trunk/weka/src/main/java/weka/core/AbstractStringDistanceFunction.java:6635)
   A /trunk/packages/external/levenshteinEditDistance/src/main/java/weka/core/EditDistance.java (from /trunk/weka/src/main/java/weka/core/EditDistance.java:6635)
   A /trunk/packages/external/levenshteinEditDistance/src/test
   A /trunk/packages/external/levenshteinEditDistance/src/test/java
   A /trunk/packages/external/linearForwardSelection
   A /trunk/packages/external/linearForwardSelection/Description.props
   A /trunk/packages/external/linearForwardSelection/build_package.xml
   A /trunk/packages/external/linearForwardSelection/lib
   A /trunk/packages/external/linearForwardSelection/src
   A /trunk/packages/external/linearForwardSelection/src/main
   A /trunk/packages/external/linearForwardSelection/src/main/java
   A /trunk/packages/external/linearForwardSelection/src/main/java/weka
   A /trunk/packages/external/linearForwardSelection/src/main/java/weka/attributeSelection
   A /trunk/packages/external/linearForwardSelection/src/main/java/weka/attributeSelection/LFSMethods.java (from /trunk/weka/src/main/java/weka/attributeSelection/LFSMethods.java:6635)
   A /trunk/packages/external/linearForwardSelection/src/main/java/weka/attributeSelection/LinearForwardSelection.java (from /trunk/weka/src/main/java/weka/attributeSelection/LinearForwardSelection.java:6635)
   A /trunk/packages/external/linearForwardSelection/src/main/java/weka/attributeSelection/SubsetSizeForwardSelection.java (from /trunk/weka/src/main/java/weka/attributeSelection/SubsetSizeForwardSelection.java:6635)
   A /trunk/packages/external/linearForwardSelection/src/test
   A /trunk/packages/external/linearForwardSelection/src/test/java
   A /trunk/packages/external/linearForwardSelection/src/test/java/weka
   A /trunk/packages/external/linearForwardSelection/src/test/java/weka/attributeSelection
   A /trunk/packages/external/linearForwardSelection/src/test/java/weka/attributeSelection/LinearForwardSelectionTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/LinearForwardSelectionTest.java:6635)
   A /trunk/packages/external/linearForwardSelection/src/test/java/weka/attributeSelection/SubsetSizeForwardSelectionTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/SubsetSizeForwardSelectionTest.java:6635)
   A /trunk/packages/external/massiveOnlineAnalysis
   A /trunk/packages/external/massiveOnlineAnalysis/lib
   A /trunk/packages/external/massiveOnlineAnalysis/src
   A /trunk/packages/external/massiveOnlineAnalysis/src/main
   A /trunk/packages/external/massiveOnlineAnalysis/src/main/java
   A /trunk/packages/external/massiveOnlineAnalysis/src/test
   A /trunk/packages/external/massiveOnlineAnalysis/src/test/java
   A /trunk/packages/external/multilayerPerceptronCS
   A /trunk/packages/external/multilayerPerceptronCS/Description.props
   A /trunk/packages/external/multilayerPerceptronCS/build_package.xml
   A /trunk/packages/external/multilayerPerceptronCS/lib
   A /trunk/packages/external/multilayerPerceptronCS/src
   A /trunk/packages/external/multilayerPerceptronCS/src/main
   A /trunk/packages/external/multilayerPerceptronCS/src/main/java
   A /trunk/packages/external/multilayerPerceptronCS/src/main/java/weka
   A /trunk/packages/external/multilayerPerceptronCS/src/main/java/weka/classifiers
   A /trunk/packages/external/multilayerPerceptronCS/src/main/java/weka/classifiers/functions
   A /trunk/packages/external/multilayerPerceptronCS/src/main/java/weka/classifiers/functions/MultilayerPerceptronCS.java (from /trunk/weka/src/main/java/weka/classifiers/functions/MultilayerPerceptronCS.java:6635)
   A /trunk/packages/external/multilayerPerceptronCS/src/test
   A /trunk/packages/external/multilayerPerceptronCS/src/test/java
   A /trunk/packages/external/multilayerPerceptronCS/src/test/java/weka
   A /trunk/packages/external/multilayerPerceptronCS/src/test/java/weka/classifiers
   A /trunk/packages/external/multilayerPerceptronCS/src/test/java/weka/classifiers/functions
   A /trunk/packages/external/multilayerPerceptronCS/src/test/java/weka/classifiers/functions/MultilayerPerceptronCSTest.java (from /trunk/weka/src/test/java/weka/classifiers/functions/MultilayerPerceptronCSTest.java:6635)
   A /trunk/packages/external/normalize
   A /trunk/packages/external/normalize/Description.props
   A /trunk/packages/external/normalize/build_package.xml
   A /trunk/packages/external/normalize/lib
   A /trunk/packages/external/normalize/src
   A /trunk/packages/external/normalize/src/main
   A /trunk/packages/external/normalize/src/main/java
   A /trunk/packages/external/normalize/src/main/java/weka
   A /trunk/packages/external/normalize/src/main/java/weka/filters
   A /trunk/packages/external/normalize/src/main/java/weka/filters/unsupervised
   A /trunk/packages/external/normalize/src/main/java/weka/filters/unsupervised/instance
   A /trunk/packages/external/normalize/src/main/java/weka/filters/unsupervised/instance/Normalize.java (from /trunk/weka/src/main/java/weka/filters/unsupervised/instance/Normalize.java:6635)
   A /trunk/packages/external/normalize/src/test
   A /trunk/packages/external/normalize/src/test/java
   A /trunk/packages/external/normalize/src/test/java/weka
   A /trunk/packages/external/normalize/src/test/java/weka/filters
   A /trunk/packages/external/normalize/src/test/java/weka/filters/unsupervised
   A /trunk/packages/external/normalize/src/test/java/weka/filters/unsupervised/instance
   A /trunk/packages/external/normalize/src/test/java/weka/filters/unsupervised/instance/NormalizeTest.java (from /trunk/weka/src/test/java/weka/filters/unsupervised/instance/NormalizeTest.java:6635)
   A /trunk/packages/external/optics_dbScan
   A /trunk/packages/external/optics_dbScan/Description.props
   A /trunk/packages/external/optics_dbScan/build_package.xml
   A /trunk/packages/external/optics_dbScan/lib
   A /trunk/packages/external/optics_dbScan/src
   A /trunk/packages/external/optics_dbScan/src/main
   A /trunk/packages/external/optics_dbScan/src/main/java
   A /trunk/packages/external/optics_dbScan/src/main/java/weka
   A /trunk/packages/external/optics_dbScan/src/main/java/weka/clusterers
   A /trunk/packages/external/optics_dbScan/src/main/java/weka/clusterers/DBScan.java (from /trunk/weka/src/main/java/weka/clusterers/DBScan.java:6635)
   A /trunk/packages/external/optics_dbScan/src/main/java/weka/clusterers/OPTICS.java (from /trunk/weka/src/main/java/weka/clusterers/OPTICS.java:6635)
   A /trunk/packages/external/optics_dbScan/src/main/java/weka/clusterers/forOPTICSAndDBScan (from /trunk/weka/src/main/java/weka/clusterers/forOPTICSAndDBScan:6635)
   A /trunk/packages/external/optics_dbScan/src/test
   A /trunk/packages/external/optics_dbScan/src/test/java
   A /trunk/packages/external/optics_dbScan/src/test/java/weka
   A /trunk/packages/external/optics_dbScan/src/test/java/weka/clusterers
   A /trunk/packages/external/optics_dbScan/src/test/java/weka/clusterers/DBScanTest.java (from /trunk/weka/src/test/java/weka/clusterers/DBScanTest.java:6635)
   A /trunk/packages/external/optics_dbScan/src/test/java/weka/clusterers/OPTICSTest.java (from /trunk/weka/src/test/java/weka/clusterers/OPTICSTest.java:6635)
   A /trunk/packages/external/ordinalLearningMethod
   A /trunk/packages/external/ordinalLearningMethod/Description.props
   A /trunk/packages/external/ordinalLearningMethod/build_package.xml
   A /trunk/packages/external/ordinalLearningMethod/lib
   A /trunk/packages/external/ordinalLearningMethod/src
   A /trunk/packages/external/ordinalLearningMethod/src/main
   A /trunk/packages/external/ordinalLearningMethod/src/main/java
   A /trunk/packages/external/ordinalLearningMethod/src/main/java/weka
   A /trunk/packages/external/ordinalLearningMethod/src/main/java/weka/classifiers
   A /trunk/packages/external/ordinalLearningMethod/src/main/java/weka/classifiers/rules
   A /trunk/packages/external/ordinalLearningMethod/src/main/java/weka/classifiers/rules/OLM.java (from /trunk/weka/src/main/java/weka/classifiers/rules/OLM.java:6635)
   A /trunk/packages/external/ordinalLearningMethod/src/test
   A /trunk/packages/external/ordinalLearningMethod/src/test/java
   A /trunk/packages/external/ordinalLearningMethod/src/test/java/weka
   A /trunk/packages/external/ordinalLearningMethod/src/test/java/weka/classifiers
   A /trunk/packages/external/ordinalLearningMethod/src/test/java/weka/classifiers/misc (from /trunk/weka/src/test/java/weka/classifiers/rules/OLMTest.java:6635)
   A /trunk/packages/external/ordinalLearningMethod/src/test/java/weka/classifiers/rules
   A /trunk/packages/external/ordinalStochasticDominance
   A /trunk/packages/external/ordinalStochasticDominance/Description.props
   A /trunk/packages/external/ordinalStochasticDominance/build_package.xml
   A /trunk/packages/external/ordinalStochasticDominance/lib
   A /trunk/packages/external/ordinalStochasticDominance/src
   A /trunk/packages/external/ordinalStochasticDominance/src/main
   A /trunk/packages/external/ordinalStochasticDominance/src/main/java
   A /trunk/packages/external/ordinalStochasticDominance/src/main/java/weka
   A /trunk/packages/external/ordinalStochasticDominance/src/main/java/weka/classifiers
   A /trunk/packages/external/ordinalStochasticDominance/src/main/java/weka/classifiers/misc
   A /trunk/packages/external/ordinalStochasticDominance/src/main/java/weka/classifiers/misc/OSDL.java (from /trunk/weka/src/main/java/weka/classifiers/misc/OSDL.java:6635)
   A /trunk/packages/external/ordinalStochasticDominance/src/main/java/weka/classifiers/misc/monotone (from /trunk/weka/src/main/java/weka/classifiers/misc/monotone:6635)
   A /trunk/packages/external/ordinalStochasticDominance/src/test
   A /trunk/packages/external/ordinalStochasticDominance/src/test/java
   A /trunk/packages/external/ordinalStochasticDominance/src/test/java/weka
   A /trunk/packages/external/ordinalStochasticDominance/src/test/java/weka/classifiers
   A /trunk/packages/external/ordinalStochasticDominance/src/test/java/weka/classifiers/misc
   A /trunk/packages/external/ordinalStochasticDominance/src/test/java/weka/classifiers/misc/OSDLTest.java (from /trunk/weka/src/test/java/weka/classifiers/misc/OSDLTest.java:6635)
   A /trunk/packages/external/prefuseGraph
   A /trunk/packages/external/prefuseGraph/lib
   A /trunk/packages/external/prefuseGraph/src
   A /trunk/packages/external/prefuseGraph/src/main
   A /trunk/packages/external/prefuseGraph/src/main/java
   A /trunk/packages/external/prefuseGraph/src/test
   A /trunk/packages/external/prefuseGraph/src/test/java
   A /trunk/packages/external/prefuseTree
   A /trunk/packages/external/prefuseTree/lib
   A /trunk/packages/external/prefuseTree/src
   A /trunk/packages/external/prefuseTree/src/main
   A /trunk/packages/external/prefuseTree/src/main/java
   A /trunk/packages/external/prefuseTree/src/test
   A /trunk/packages/external/prefuseTree/src/test/java
   A /trunk/packages/external/probabilisticSignificanceAE
   A /trunk/packages/external/probabilisticSignificanceAE/Description.props
   A /trunk/packages/external/probabilisticSignificanceAE/build_package.xml
   A /trunk/packages/external/probabilisticSignificanceAE/lib
   A /trunk/packages/external/probabilisticSignificanceAE/src
   A /trunk/packages/external/probabilisticSignificanceAE/src/main
   A /trunk/packages/external/probabilisticSignificanceAE/src/main/java
   A /trunk/packages/external/probabilisticSignificanceAE/src/main/java/weka
   A /trunk/packages/external/probabilisticSignificanceAE/src/main/java/weka/attributeSelection
   A /trunk/packages/external/probabilisticSignificanceAE/src/main/java/weka/attributeSelection/SignificanceAttributeEval.java (from /trunk/weka/src/main/java/weka/attributeSelection/SignificanceAttributeEval.java:6635)
   A /trunk/packages/external/probabilisticSignificanceAE/src/test
   A /trunk/packages/external/probabilisticSignificanceAE/src/test/java
   A /trunk/packages/external/probabilisticSignificanceAE/src/test/java/weka
   A /trunk/packages/external/probabilisticSignificanceAE/src/test/java/weka/attributeSelection
   A /trunk/packages/external/probabilisticSignificanceAE/src/test/java/weka/attributeSelection/SignificanceAttributeEvalTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/SignificanceAttributeEvalTest.java:6635)
   A /trunk/packages/external/rotationForest
   A /trunk/packages/external/rotationForest/Description.props
   A /trunk/packages/external/rotationForest/build_package.xml
   A /trunk/packages/external/rotationForest/lib
   A /trunk/packages/external/rotationForest/src
   A /trunk/packages/external/rotationForest/src/main
   A /trunk/packages/external/rotationForest/src/main/java
   A /trunk/packages/external/rotationForest/src/main/java/weka
   A /trunk/packages/external/rotationForest/src/main/java/weka/classifiers
   A /trunk/packages/external/rotationForest/src/main/java/weka/classifiers/meta
   A /trunk/packages/external/rotationForest/src/main/java/weka/classifiers/meta/RotationForest.java (from /trunk/weka/src/main/java/weka/classifiers/meta/RotationForest.java:6635)
   A /trunk/packages/external/rotationForest/src/test
   A /trunk/packages/external/rotationForest/src/test/java
   A /trunk/packages/external/rotationForest/src/test/java/weka
   A /trunk/packages/external/rotationForest/src/test/java/weka/classifiers
   A /trunk/packages/external/rotationForest/src/test/java/weka/classifiers/meta
   A /trunk/packages/external/rotationForest/src/test/java/weka/classifiers/meta/RotationForestTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/RotationForestTest.java:6635)
   A /trunk/packages/external/scatterPlot3D
   A /trunk/packages/external/scatterPlot3D/lib
   A /trunk/packages/external/scatterPlot3D/src
   A /trunk/packages/external/scatterPlot3D/src/main
   A /trunk/packages/external/scatterPlot3D/src/main/java
   A /trunk/packages/external/scatterPlot3D/src/test
   A /trunk/packages/external/scatterPlot3D/src/test/java
   A /trunk/packages/external/stackingC
   A /trunk/packages/external/stackingC/Description.props
   A /trunk/packages/external/stackingC/build_package.xml
   A /trunk/packages/external/stackingC/lib
   A /trunk/packages/external/stackingC/src
   A /trunk/packages/external/stackingC/src/main
   A /trunk/packages/external/stackingC/src/main/java
   A /trunk/packages/external/stackingC/src/main/java/weka
   A /trunk/packages/external/stackingC/src/main/java/weka/classifiers
   A /trunk/packages/external/stackingC/src/main/java/weka/classifiers/meta
   A /trunk/packages/external/stackingC/src/main/java/weka/classifiers/meta/StackingC.java (from /trunk/weka/src/main/java/weka/classifiers/meta/StackingC.java:6635)
   A /trunk/packages/external/stackingC/src/test
   A /trunk/packages/external/stackingC/src/test/java
   A /trunk/packages/external/stackingC/src/test/java/weka
   A /trunk/packages/external/stackingC/src/test/java/weka/classifiers
   A /trunk/packages/external/stackingC/src/test/java/weka/classifiers/meta
   A /trunk/packages/external/stackingC/src/test/java/weka/classifiers/meta/StackingCTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/StackingCTest.java:6635)
   A /trunk/packages/external/tabuAndScatterSearch
   A /trunk/packages/external/tabuAndScatterSearch/Description.props
   A /trunk/packages/external/tabuAndScatterSearch/build_package.xml
   A /trunk/packages/external/tabuAndScatterSearch/lib
   A /trunk/packages/external/tabuAndScatterSearch/src
   A /trunk/packages/external/tabuAndScatterSearch/src/main
   A /trunk/packages/external/tabuAndScatterSearch/src/main/java
   A /trunk/packages/external/tabuAndScatterSearch/src/main/java/weka
   A /trunk/packages/external/tabuAndScatterSearch/src/main/java/weka/attributeSelection
   A /trunk/packages/external/tabuAndScatterSearch/src/main/java/weka/attributeSelection/ScatterSearchV1.java (from /trunk/weka/src/main/java/weka/attributeSelection/ScatterSearchV1.java:6635)
   A /trunk/packages/external/tabuAndScatterSearch/src/main/java/weka/attributeSelection/TabuSearch.java (from /trunk/weka/src/main/java/weka/attributeSelection/TabuSearch.java:6635)
   A /trunk/packages/external/tabuAndScatterSearch/src/test
   A /trunk/packages/external/tabuAndScatterSearch/src/test/java
   A /trunk/packages/external/tabuAndScatterSearch/src/test/java/weka
   A /trunk/packages/external/tabuAndScatterSearch/src/test/java/weka/attributeSelection
   A /trunk/packages/external/tabuAndScatterSearch/src/test/java/weka/attributeSelection/TabuSearchTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/TabuSearchTest.java:6635)
   A /trunk/packages/external/tertius
   A /trunk/packages/external/tertius/Description.props
   A /trunk/packages/external/tertius/build_package.xml
   A /trunk/packages/external/tertius/lib
   A /trunk/packages/external/tertius/src
   A /trunk/packages/external/tertius/src/main
   A /trunk/packages/external/tertius/src/main/java
   A /trunk/packages/external/tertius/src/main/java/weka
   A /trunk/packages/external/tertius/src/main/java/weka/associations
   A /trunk/packages/external/tertius/src/main/java/weka/associations/Tertius.java (from /trunk/weka/src/main/java/weka/associations/Tertius.java:6635)
   A /trunk/packages/external/tertius/src/main/java/weka/associations/tertius (from /trunk/weka/src/main/java/weka/associations/tertius:6635)
   A /trunk/packages/external/tertius/src/test
   A /trunk/packages/external/tertius/src/test/java
   A /trunk/packages/external/tertius/src/test/java/weka
   A /trunk/packages/external/tertius/src/test/java/weka/associations
   A /trunk/packages/external/tertius/src/test/java/weka/associations/TertiusTest.java (from /trunk/weka/src/test/java/weka/associations/TertiusTest.java:6635)
   A /trunk/packages/external/winnow
   A /trunk/packages/external/winnow/Description.props
   A /trunk/packages/external/winnow/build_package.xml
   A /trunk/packages/external/winnow/lib
   A /trunk/packages/external/winnow/src
   A /trunk/packages/external/winnow/src/main
   A /trunk/packages/external/winnow/src/main/java
   A /trunk/packages/external/winnow/src/main/java/weka
   A /trunk/packages/external/winnow/src/main/java/weka/classifiers
   A /trunk/packages/external/winnow/src/main/java/weka/classifiers/functions
   A /trunk/packages/external/winnow/src/main/java/weka/classifiers/functions/Winnow.java (from /trunk/weka/src/main/java/weka/classifiers/functions/Winnow.java:6635)
   A /trunk/packages/external/winnow/src/test
   A /trunk/packages/external/winnow/src/test/java
   A /trunk/packages/external/winnow/src/test/java/weka
   A /trunk/packages/external/winnow/src/test/java/weka/classifiers
   A /trunk/packages/external/winnow/src/test/java/weka/classifiers/functions
   A /trunk/packages/external/winnow/src/test/java/weka/classifiers/functions/WinnowTest.java (from /trunk/weka/src/test/java/weka/classifiers/functions/WinnowTest.java:6635)
   A /trunk/packages/internal/DTNB
   A /trunk/packages/internal/DTNB/Description.props
   A /trunk/packages/internal/DTNB/build_package.xml
   A /trunk/packages/internal/DTNB/lib
   A /trunk/packages/internal/DTNB/src
   A /trunk/packages/internal/DTNB/src/main
   A /trunk/packages/internal/DTNB/src/main/java
   A /trunk/packages/internal/DTNB/src/main/java/weka
   A /trunk/packages/internal/DTNB/src/main/java/weka/classifiers
   A /trunk/packages/internal/DTNB/src/main/java/weka/classifiers/rules
   A /trunk/packages/internal/DTNB/src/main/java/weka/classifiers/rules/DTNB.java (from /trunk/weka/src/main/java/weka/classifiers/rules/DTNB.java:6635)
   A /trunk/packages/internal/DTNB/src/test
   A /trunk/packages/internal/DTNB/src/test/java
   A /trunk/packages/internal/DTNB/src/test/java/weka
   A /trunk/packages/internal/DTNB/src/test/java/weka/classifiers
   A /trunk/packages/internal/DTNB/src/test/java/weka/classifiers/rules
   A /trunk/packages/internal/DTNB/src/test/java/weka/classifiers/rules/DTNBTest.java (from /trunk/weka/src/test/java/weka/classifiers/rules/DTNBTest.java:6635)
   A /trunk/packages/internal/RBFNetwork
   A /trunk/packages/internal/RBFNetwork/Description.props
   A /trunk/packages/internal/RBFNetwork/build_package.xml
   A /trunk/packages/internal/RBFNetwork/lib
   A /trunk/packages/internal/RBFNetwork/src
   A /trunk/packages/internal/RBFNetwork/src/main
   A /trunk/packages/internal/RBFNetwork/src/main/java
   A /trunk/packages/internal/RBFNetwork/src/main/java/weka
   A /trunk/packages/internal/RBFNetwork/src/main/java/weka/classifiers
   A /trunk/packages/internal/RBFNetwork/src/main/java/weka/classifiers/functions
   A /trunk/packages/internal/RBFNetwork/src/main/java/weka/classifiers/functions/RBFNetwork.java (from /trunk/weka/src/main/java/weka/classifiers/functions/RBFNetwork.java:6635)
   A /trunk/packages/internal/RBFNetwork/src/test
   A /trunk/packages/internal/RBFNetwork/src/test/java
   A /trunk/packages/internal/RBFNetwork/src/test/java/weka
   A /trunk/packages/internal/RBFNetwork/src/test/java/weka/classifiers
   A /trunk/packages/internal/RBFNetwork/src/test/java/weka/classifiers/functions
   A /trunk/packages/internal/RBFNetwork/src/test/java/weka/classifiers/functions/RBFNetworkTest.java (from /trunk/weka/src/test/java/weka/classifiers/functions/RBFNetworkTest.java:6635)
   A /trunk/packages/internal/SPegasos
   A /trunk/packages/internal/SPegasos/Description.props
   A /trunk/packages/internal/SPegasos/build_package.xml
   A /trunk/packages/internal/SPegasos/lib
   A /trunk/packages/internal/SPegasos/src
   A /trunk/packages/internal/SPegasos/src/main
   A /trunk/packages/internal/SPegasos/src/main/java
   A /trunk/packages/internal/SPegasos/src/main/java/weka
   A /trunk/packages/internal/SPegasos/src/main/java/weka/classifiers
   A /trunk/packages/internal/SPegasos/src/main/java/weka/classifiers/functions
   A /trunk/packages/internal/SPegasos/src/main/java/weka/classifiers/functions/SPegasos.java (from /trunk/weka/src/main/java/weka/classifiers/functions/SPegasos.java:6635)
   A /trunk/packages/internal/SPegasos/src/test
   A /trunk/packages/internal/SPegasos/src/test/java
   A /trunk/packages/internal/SPegasos/src/test/java/weka
   A /trunk/packages/internal/SPegasos/src/test/java/weka/classifiers
   A /trunk/packages/internal/SPegasos/src/test/java/weka/classifiers/functions
   A /trunk/packages/internal/SPegasos/src/test/java/weka/classifiers/functions/SPegasosTest.java (from /trunk/weka/src/test/java/weka/classifiers/functions/SPegasosTest.java:6635)
   A /trunk/packages/internal/SVMAttributeEval
   A /trunk/packages/internal/SVMAttributeEval/Description.props
   A /trunk/packages/internal/SVMAttributeEval/build_package.xml
   A /trunk/packages/internal/SVMAttributeEval/lib
   A /trunk/packages/internal/SVMAttributeEval/src
   A /trunk/packages/internal/SVMAttributeEval/src/main
   A /trunk/packages/internal/SVMAttributeEval/src/main/java
   A /trunk/packages/internal/SVMAttributeEval/src/main/java/weka
   A /trunk/packages/internal/SVMAttributeEval/src/main/java/weka/attributeSelection
   A /trunk/packages/internal/SVMAttributeEval/src/main/java/weka/attributeSelection/SVMAttributeEval.java (from /trunk/weka/src/main/java/weka/attributeSelection/SVMAttributeEval.java:6635)
   A /trunk/packages/internal/SVMAttributeEval/src/test
   A /trunk/packages/internal/SVMAttributeEval/src/test/java
   A /trunk/packages/internal/SVMAttributeEval/src/test/java/weka
   A /trunk/packages/internal/SVMAttributeEval/src/test/java/weka/attributeSelection
   A /trunk/packages/internal/SVMAttributeEval/src/test/java/weka/attributeSelection/SVMAttributeEvalTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/SVMAttributeEvalTest.java:6635)
   A /trunk/packages/internal/XMeans
   A /trunk/packages/internal/XMeans/Description.props
   A /trunk/packages/internal/XMeans/build_package.xml
   A /trunk/packages/internal/XMeans/lib
   A /trunk/packages/internal/XMeans/src
   A /trunk/packages/internal/XMeans/src/main
   A /trunk/packages/internal/XMeans/src/main/java
   A /trunk/packages/internal/XMeans/src/main/java/weka
   A /trunk/packages/internal/XMeans/src/main/java/weka/clusterers
   A /trunk/packages/internal/XMeans/src/main/java/weka/clusterers/XMeans.java (from /trunk/weka/src/main/java/weka/clusterers/XMeans.java:6635)
   A /trunk/packages/internal/XMeans/src/test
   A /trunk/packages/internal/XMeans/src/test/java
   A /trunk/packages/internal/XMeans/src/test/java/weka
   A /trunk/packages/internal/XMeans/src/test/java/weka/clusterers
   A /trunk/packages/internal/XMeans/src/test/java/weka/clusterers/XMeansTest.java (from /trunk/weka/src/test/java/weka/clusterers/XMeansTest.java:6635)
   A /trunk/packages/internal/alternatingDecisionTrees
   A /trunk/packages/internal/alternatingDecisionTrees/Description.props
   A /trunk/packages/internal/alternatingDecisionTrees/build_package.xml
   A /trunk/packages/internal/alternatingDecisionTrees/lib
   A /trunk/packages/internal/alternatingDecisionTrees/src
   A /trunk/packages/internal/alternatingDecisionTrees/src/main
   A /trunk/packages/internal/alternatingDecisionTrees/src/main/java
   A /trunk/packages/internal/alternatingDecisionTrees/src/main/java/weka
   A /trunk/packages/internal/alternatingDecisionTrees/src/main/java/weka/classifiers
   A /trunk/packages/internal/alternatingDecisionTrees/src/main/java/weka/classifiers/trees
   A /trunk/packages/internal/alternatingDecisionTrees/src/main/java/weka/classifiers/trees/ADTree.java (from /trunk/weka/src/main/java/weka/classifiers/trees/ADTree.java:6635)
   A /trunk/packages/internal/alternatingDecisionTrees/src/main/java/weka/classifiers/trees/LADTree.java (from /trunk/weka/src/main/java/weka/classifiers/trees/LADTree.java:6635)
   A /trunk/packages/internal/alternatingDecisionTrees/src/test
   A /trunk/packages/internal/alternatingDecisionTrees/src/test/java
   A /trunk/packages/internal/alternatingDecisionTrees/src/test/java/weka
   A /trunk/packages/internal/alternatingDecisionTrees/src/test/java/weka/classifiers
   A /trunk/packages/internal/alternatingDecisionTrees/src/test/java/weka/classifiers/trees
   A /trunk/packages/internal/alternatingDecisionTrees/src/test/java/weka/classifiers/trees/ADTreeTest.java (from /trunk/weka/src/test/java/weka/classifiers/trees/ADTreeTest.java:6635)
   A /trunk/packages/internal/alternatingDecisionTrees/src/test/java/weka/classifiers/trees/LADTreeTest.java (from /trunk/weka/src/test/java/weka/classifiers/trees/LADTreeTest.java:6635)
   A /trunk/packages/internal/attributeSelectionSearchMethods
   A /trunk/packages/internal/attributeSelectionSearchMethods/Description.props
   A /trunk/packages/internal/attributeSelectionSearchMethods/build_package.xml
   A /trunk/packages/internal/attributeSelectionSearchMethods/lib
   A /trunk/packages/internal/attributeSelectionSearchMethods/src
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/main
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/main/java
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/main/java/weka
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/main/java/weka/attributeSelection
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/main/java/weka/attributeSelection/ExhaustiveSearch.java (from /trunk/weka/src/main/java/weka/attributeSelection/ExhaustiveSearch.java:6635)
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/main/java/weka/attributeSelection/GeneticSearch.java (from /trunk/weka/src/main/java/weka/attributeSelection/GeneticSearch.java:6635)
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/main/java/weka/attributeSelection/RandomSearch.java (from /trunk/weka/src/main/java/weka/attributeSelection/RandomSearch.java:6635)
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/main/java/weka/attributeSelection/RankSearch.java (from /trunk/weka/src/main/java/weka/attributeSelection/RankSearch.java:6635)
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/test
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/test/java
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/test/java/weka
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/test/java/weka/attributeSelection
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/test/java/weka/attributeSelection/ExhaustiveSearchTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/ExhaustiveSearchTest.java:6635)
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/test/java/weka/attributeSelection/GeneticSearchTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/GeneticSearchTest.java:6635)
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/test/java/weka/attributeSelection/RandomSearchTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/RandomSearchTest.java:6635)
   A /trunk/packages/internal/attributeSelectionSearchMethods/src/test/java/weka/attributeSelection/RankSearchTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/RankSearchTest.java:6635)
   A /trunk/packages/internal/bestFirstTree
   A /trunk/packages/internal/bestFirstTree/Description.props
   A /trunk/packages/internal/bestFirstTree/build_package.xml
   A /trunk/packages/internal/bestFirstTree/lib
   A /trunk/packages/internal/bestFirstTree/src
   A /trunk/packages/internal/bestFirstTree/src/main
   A /trunk/packages/internal/bestFirstTree/src/main/java
   A /trunk/packages/internal/bestFirstTree/src/main/java/weka
   A /trunk/packages/internal/bestFirstTree/src/main/java/weka/classifiers
   A /trunk/packages/internal/bestFirstTree/src/main/java/weka/classifiers/trees
   A /trunk/packages/internal/bestFirstTree/src/main/java/weka/classifiers/trees/BFTree.java (from /trunk/weka/src/main/java/weka/classifiers/trees/BFTree.java:6635)
   A /trunk/packages/internal/bestFirstTree/src/test
   A /trunk/packages/internal/bestFirstTree/src/test/java
   A /trunk/packages/internal/bestFirstTree/src/test/java/weka
   A /trunk/packages/internal/bestFirstTree/src/test/java/weka/classifiers
   A /trunk/packages/internal/bestFirstTree/src/test/java/weka/classifiers/trees
   A /trunk/packages/internal/bestFirstTree/src/test/java/weka/classifiers/trees/BFTreeTest.java (from /trunk/weka/src/test/java/weka/classifiers/trees/BFTreeTest.java:6635)
   A /trunk/packages/internal/chiSquaredAttributeEval
   A /trunk/packages/internal/chiSquaredAttributeEval/Description.props
   A /trunk/packages/internal/chiSquaredAttributeEval/build_package.xml
   A /trunk/packages/internal/chiSquaredAttributeEval/lib
   A /trunk/packages/internal/chiSquaredAttributeEval/src
   A /trunk/packages/internal/chiSquaredAttributeEval/src/main
   A /trunk/packages/internal/chiSquaredAttributeEval/src/main/java
   A /trunk/packages/internal/chiSquaredAttributeEval/src/main/java/weka
   A /trunk/packages/internal/chiSquaredAttributeEval/src/main/java/weka/attributeSelection
   A /trunk/packages/internal/chiSquaredAttributeEval/src/main/java/weka/attributeSelection/ChiSquaredAttributeEval.java (from /trunk/weka/src/main/java/weka/attributeSelection/ChiSquaredAttributeEval.java:6635)
   A /trunk/packages/internal/chiSquaredAttributeEval/src/test
   A /trunk/packages/internal/chiSquaredAttributeEval/src/test/java
   A /trunk/packages/internal/chiSquaredAttributeEval/src/test/java/weka
   A /trunk/packages/internal/chiSquaredAttributeEval/src/test/java/weka/attributeSelection
   A /trunk/packages/internal/chiSquaredAttributeEval/src/test/java/weka/attributeSelection/ChiSquaredAttributeEvalTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/ChiSquaredAttributeEvalTest.java:6635)
   A /trunk/packages/internal/classificationViaClustering
   A /trunk/packages/internal/classificationViaClustering/Description.props
   A /trunk/packages/internal/classificationViaClustering/build_package.xml
   A /trunk/packages/internal/classificationViaClustering/lib
   A /trunk/packages/internal/classificationViaClustering/src
   A /trunk/packages/internal/classificationViaClustering/src/main
   A /trunk/packages/internal/classificationViaClustering/src/main/java
   A /trunk/packages/internal/classificationViaClustering/src/main/java/weka
   A /trunk/packages/internal/classificationViaClustering/src/main/java/weka/classifiers
   A /trunk/packages/internal/classificationViaClustering/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/classificationViaClustering/src/main/java/weka/classifiers/meta/ClassificationViaClustering.java (from /trunk/weka/src/main/java/weka/classifiers/meta/ClassificationViaClustering.java:6635)
   A /trunk/packages/internal/classificationViaClustering/src/test
   A /trunk/packages/internal/classificationViaClustering/src/test/java
   A /trunk/packages/internal/classificationViaClustering/src/test/java/weka
   A /trunk/packages/internal/classificationViaClustering/src/test/java/weka/classifiers
   A /trunk/packages/internal/classificationViaClustering/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/classificationViaClustering/src/test/java/weka/classifiers/meta/ClassificationViaClusteringTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/ClassificationViaClusteringTest.java:6635)
   A /trunk/packages/internal/classificationViaRegression
   A /trunk/packages/internal/classificationViaRegression/Description.props
   A /trunk/packages/internal/classificationViaRegression/build_package.xml
   A /trunk/packages/internal/classificationViaRegression/lib
   A /trunk/packages/internal/classificationViaRegression/src
   A /trunk/packages/internal/classificationViaRegression/src/main
   A /trunk/packages/internal/classificationViaRegression/src/main/java
   A /trunk/packages/internal/classificationViaRegression/src/main/java/weka
   A /trunk/packages/internal/classificationViaRegression/src/main/java/weka/classifiers
   A /trunk/packages/internal/classificationViaRegression/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/classificationViaRegression/src/main/java/weka/classifiers/meta/ClassificationViaRegression.java (from /trunk/weka/src/main/java/weka/classifiers/meta/ClassificationViaRegression.java:6635)
   A /trunk/packages/internal/classificationViaRegression/src/test
   A /trunk/packages/internal/classificationViaRegression/src/test/java
   A /trunk/packages/internal/classificationViaRegression/src/test/java/weka
   A /trunk/packages/internal/classificationViaRegression/src/test/java/weka/classifiers
   A /trunk/packages/internal/classificationViaRegression/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/classificationViaRegression/src/test/java/weka/classifiers/meta/ClassificationViaRegressionTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/ClassificationViaRegressionTest.java:6635)
   A /trunk/packages/internal/classifierBasedAttributeSelection
   A /trunk/packages/internal/classifierBasedAttributeSelection/Description.props
   A /trunk/packages/internal/classifierBasedAttributeSelection/build_package.xml
   A /trunk/packages/internal/classifierBasedAttributeSelection/lib
   A /trunk/packages/internal/classifierBasedAttributeSelection/src
   A /trunk/packages/internal/classifierBasedAttributeSelection/src/main
   A /trunk/packages/internal/classifierBasedAttributeSelection/src/main/java
   A /trunk/packages/internal/classifierBasedAttributeSelection/src/main/java/weka
   A /trunk/packages/internal/classifierBasedAttributeSelection/src/main/java/weka/attributeSelection
   A /trunk/packages/internal/classifierBasedAttributeSelection/src/main/java/weka/attributeSelection/ClassifierAttributeEval.java (from /trunk/weka/src/main/java/weka/attributeSelection/ClassifierAttributeEval.java:6635)
   A /trunk/packages/internal/classifierBasedAttributeSelection/src/main/java/weka/attributeSelection/ClassifierSubsetEval.java (from /trunk/weka/src/main/java/weka/attributeSelection/ClassifierSubsetEval.java:6635)
   A /trunk/packages/internal/classifierBasedAttributeSelection/src/test
   A /trunk/packages/internal/classifierBasedAttributeSelection/src/test/java
   A /trunk/packages/internal/classifierBasedAttributeSelection/src/test/java/weka
   A /trunk/packages/internal/classifierBasedAttributeSelection/src/test/java/weka/attributeSelection
   A /trunk/packages/internal/classifierBasedAttributeSelection/src/test/java/weka/attributeSelection/ClassifierAttributeEvalTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/ClassifierAttributeEvalTest.java:6635)
   A /trunk/packages/internal/classifierBasedAttributeSelection/src/test/java/weka/attributeSelection/ClassifierSubsetEvalTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/ClassifierSubsetEvalTest.java:6635)
   A /trunk/packages/internal/conjunctiveRule
   A /trunk/packages/internal/conjunctiveRule/Description.props
   A /trunk/packages/internal/conjunctiveRule/build_package.xml
   A /trunk/packages/internal/conjunctiveRule/lib
   A /trunk/packages/internal/conjunctiveRule/src
   A /trunk/packages/internal/conjunctiveRule/src/main
   A /trunk/packages/internal/conjunctiveRule/src/main/java
   A /trunk/packages/internal/conjunctiveRule/src/main/java/weka
   A /trunk/packages/internal/conjunctiveRule/src/main/java/weka/classifiers
   A /trunk/packages/internal/conjunctiveRule/src/main/java/weka/classifiers/rules
   A /trunk/packages/internal/conjunctiveRule/src/main/java/weka/classifiers/rules/ConjunctiveRule.java (from /trunk/weka/src/main/java/weka/classifiers/rules/ConjunctiveRule.java:6635)
   A /trunk/packages/internal/conjunctiveRule/src/test
   A /trunk/packages/internal/conjunctiveRule/src/test/java
   A /trunk/packages/internal/conjunctiveRule/src/test/java/weka
   A /trunk/packages/internal/conjunctiveRule/src/test/java/weka/classifiers
   A /trunk/packages/internal/conjunctiveRule/src/test/java/weka/classifiers/rules
   A /trunk/packages/internal/conjunctiveRule/src/test/java/weka/classifiers/rules/ConjunctiveRuleTest.java (from /trunk/weka/src/test/java/weka/classifiers/rules/ConjunctiveRuleTest.java:6635)
   A /trunk/packages/internal/consistencySubsetEval
   A /trunk/packages/internal/consistencySubsetEval/Description.props
   A /trunk/packages/internal/consistencySubsetEval/build_package.xml
   A /trunk/packages/internal/consistencySubsetEval/lib
   A /trunk/packages/internal/consistencySubsetEval/src
   A /trunk/packages/internal/consistencySubsetEval/src/main
   A /trunk/packages/internal/consistencySubsetEval/src/main/java
   A /trunk/packages/internal/consistencySubsetEval/src/main/java/weka
   A /trunk/packages/internal/consistencySubsetEval/src/main/java/weka/attributeSelection
   A /trunk/packages/internal/consistencySubsetEval/src/main/java/weka/attributeSelection/ConsistencySubsetEval.java (from /trunk/weka/src/main/java/weka/attributeSelection/ConsistencySubsetEval.java:6635)
   A /trunk/packages/internal/consistencySubsetEval/src/test
   A /trunk/packages/internal/consistencySubsetEval/src/test/java
   A /trunk/packages/internal/consistencySubsetEval/src/test/java/weka
   A /trunk/packages/internal/consistencySubsetEval/src/test/java/weka/attributeSelection
   A /trunk/packages/internal/consistencySubsetEval/src/test/java/weka/attributeSelection/ConsistencySubsetEvalTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/ConsistencySubsetEvalTest.java:6635)
   A /trunk/packages/internal/costSensitiveAttributeSelection
   A /trunk/packages/internal/costSensitiveAttributeSelection/Description.props
   A /trunk/packages/internal/costSensitiveAttributeSelection/build_package.xml
   A /trunk/packages/internal/costSensitiveAttributeSelection/lib
   A /trunk/packages/internal/costSensitiveAttributeSelection/src
   A /trunk/packages/internal/costSensitiveAttributeSelection/src/main
   A /trunk/packages/internal/costSensitiveAttributeSelection/src/main/java
   A /trunk/packages/internal/costSensitiveAttributeSelection/src/main/java/weka
   A /trunk/packages/internal/costSensitiveAttributeSelection/src/main/java/weka/attributeSelection
   A /trunk/packages/internal/costSensitiveAttributeSelection/src/main/java/weka/attributeSelection/CostSensitiveASEvaluation.java (from /trunk/weka/src/main/java/weka/attributeSelection/CostSensitiveASEvaluation.java:6635)
   A /trunk/packages/internal/costSensitiveAttributeSelection/src/main/java/weka/attributeSelection/CostSensitiveAttributeEval.java (from /trunk/weka/src/main/java/weka/attributeSelection/CostSensitiveAttributeEval.java:6635)
   A /trunk/packages/internal/costSensitiveAttributeSelection/src/main/java/weka/attributeSelection/CostSensitiveSubsetEval.java (from /trunk/weka/src/main/java/weka/attributeSelection/CostSensitiveSubsetEval.java:6635)
   A /trunk/packages/internal/costSensitiveAttributeSelection/src/test
   A /trunk/packages/internal/costSensitiveAttributeSelection/src/test/java
   A /trunk/packages/internal/costSensitiveAttributeSelection/src/test/java/weka
   A /trunk/packages/internal/costSensitiveAttributeSelection/src/test/java/weka/attributeSelection
   A /trunk/packages/internal/costSensitiveAttributeSelection/src/test/java/weka/attributeSelection/CostSensitiveAttributeEvalTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/CostSensitiveAttributeEvalTest.java:6635)
   A /trunk/packages/internal/costSensitiveAttributeSelection/src/test/java/weka/attributeSelection/CostSensitiveSubsetEvalTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/CostSensitiveSubsetEvalTest.java:6635)
   A /trunk/packages/internal/dagging
   A /trunk/packages/internal/dagging/Description.props
   A /trunk/packages/internal/dagging/build_package.xml
   A /trunk/packages/internal/dagging/lib
   A /trunk/packages/internal/dagging/src
   A /trunk/packages/internal/dagging/src/main
   A /trunk/packages/internal/dagging/src/main/java
   A /trunk/packages/internal/dagging/src/main/java/weka
   A /trunk/packages/internal/dagging/src/main/java/weka/classifiers
   A /trunk/packages/internal/dagging/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/dagging/src/main/java/weka/classifiers/meta/Dagging.java (from /trunk/weka/src/main/java/weka/classifiers/meta/Dagging.java:6635)
   A /trunk/packages/internal/dagging/src/test
   A /trunk/packages/internal/dagging/src/test/java
   A /trunk/packages/internal/dagging/src/test/java/weka
   A /trunk/packages/internal/dagging/src/test/java/weka/classifiers
   A /trunk/packages/internal/dagging/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/dagging/src/test/java/weka/classifiers/meta/DaggingTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/DaggingTest.java:6635)
   A /trunk/packages/internal/denormalize
   A /trunk/packages/internal/denormalize/Description.props
   A /trunk/packages/internal/denormalize/build_package.xml
   A /trunk/packages/internal/denormalize/lib
   A /trunk/packages/internal/denormalize/src
   A /trunk/packages/internal/denormalize/src/main
   A /trunk/packages/internal/denormalize/src/main/java
   A /trunk/packages/internal/denormalize/src/main/java/weka
   A /trunk/packages/internal/denormalize/src/main/java/weka/filters
   A /trunk/packages/internal/denormalize/src/main/java/weka/filters/unsupervised
   A /trunk/packages/internal/denormalize/src/main/java/weka/filters/unsupervised/instance
   A /trunk/packages/internal/denormalize/src/main/java/weka/filters/unsupervised/instance/Denormalize.java (from /trunk/weka/src/main/java/weka/filters/unsupervised/instance/Denormalize.java:6635)
   A /trunk/packages/internal/denormalize/src/test
   A /trunk/packages/internal/denormalize/src/test/java
   A /trunk/packages/internal/denormalize/src/test/java/weka
   A /trunk/packages/internal/denormalize/src/test/java/weka/filters
   A /trunk/packages/internal/denormalize/src/test/java/weka/filters/unsupervised
   A /trunk/packages/internal/denormalize/src/test/java/weka/filters/unsupervised/instance
   A /trunk/packages/internal/denormalize/src/test/java/weka/filters/unsupervised/instance/DenormalizeTest.java (from /trunk/weka/src/test/java/weka/filters/unsupervised/instance/DenormalizeTest.java:6635)
   A /trunk/packages/internal/ensemblesOfNestedDichotomies
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/Description.props
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/build_package.xml
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/lib
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/main
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/main/java
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/main/java/weka
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/main/java/weka/classifiers
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/main/java/weka/classifiers/meta/END.java (from /trunk/weka/src/main/java/weka/classifiers/meta/END.java:6635)
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/main/java/weka/classifiers/meta/nestedDichotomies (from /trunk/weka/src/main/java/weka/classifiers/meta/nestedDichotomies:6635)
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/test
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/test/java
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/test/java/weka
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/test/java/weka/classifiers
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/test/java/weka/classifiers/meta/ENDTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/ENDTest.java:6635)
   A /trunk/packages/internal/ensemblesOfNestedDichotomies/src/test/java/weka/classifiers/meta/nestedDichotomies (from /trunk/weka/src/test/java/weka/classifiers/meta/nestedDichotomies:6635)
   A /trunk/packages/internal/filteredAttributeSelection
   A /trunk/packages/internal/filteredAttributeSelection/Description.props
   A /trunk/packages/internal/filteredAttributeSelection/build_package.xml
   A /trunk/packages/internal/filteredAttributeSelection/lib
   A /trunk/packages/internal/filteredAttributeSelection/src
   A /trunk/packages/internal/filteredAttributeSelection/src/main
   A /trunk/packages/internal/filteredAttributeSelection/src/main/java
   A /trunk/packages/internal/filteredAttributeSelection/src/main/java/weka
   A /trunk/packages/internal/filteredAttributeSelection/src/main/java/weka/attributeSelection
   A /trunk/packages/internal/filteredAttributeSelection/src/main/java/weka/attributeSelection/FilteredAttributeEval.java (from /trunk/weka/src/main/java/weka/attributeSelection/FilteredAttributeEval.java:6635)
   A /trunk/packages/internal/filteredAttributeSelection/src/main/java/weka/attributeSelection/FilteredSubsetEval.java (from /trunk/weka/src/main/java/weka/attributeSelection/FilteredSubsetEval.java:6635)
   A /trunk/packages/internal/filteredAttributeSelection/src/test
   A /trunk/packages/internal/filteredAttributeSelection/src/test/java
   A /trunk/packages/internal/filteredAttributeSelection/src/test/java/weka
   A /trunk/packages/internal/filteredAttributeSelection/src/test/java/weka/attributeSelection
   A /trunk/packages/internal/filteredAttributeSelection/src/test/java/weka/attributeSelection/FilteredAttributeEvalTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/FilteredAttributeEvalTest.java:6635)
   A /trunk/packages/internal/filteredAttributeSelection/src/test/java/weka/attributeSelection/FilteredSubsetEvalTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/FilteredSubsetEvalTest.java:6635)
   A /trunk/packages/internal/gaussianProcesses
   A /trunk/packages/internal/gaussianProcesses/Description.props
   A /trunk/packages/internal/gaussianProcesses/build_package.xml
   A /trunk/packages/internal/gaussianProcesses/lib
   A /trunk/packages/internal/gaussianProcesses/src
   A /trunk/packages/internal/gaussianProcesses/src/main
   A /trunk/packages/internal/gaussianProcesses/src/main/java
   A /trunk/packages/internal/gaussianProcesses/src/main/java/weka
   A /trunk/packages/internal/gaussianProcesses/src/main/java/weka/classifiers
   A /trunk/packages/internal/gaussianProcesses/src/main/java/weka/classifiers/functions
   A /trunk/packages/internal/gaussianProcesses/src/main/java/weka/classifiers/functions/GaussianProcesses.java (from /trunk/weka/src/main/java/weka/classifiers/functions/GaussianProcesses.java:6635)
   A /trunk/packages/internal/gaussianProcesses/src/test
   A /trunk/packages/internal/gaussianProcesses/src/test/java
   A /trunk/packages/internal/gaussianProcesses/src/test/java/weka
   A /trunk/packages/internal/gaussianProcesses/src/test/java/weka/classifiers
   A /trunk/packages/internal/gaussianProcesses/src/test/java/weka/classifiers/functions
   A /trunk/packages/internal/gaussianProcesses/src/test/java/weka/classifiers/functions/GaussianProcessesTest.java (from /trunk/weka/src/test/java/weka/classifiers/functions/GaussianProcessesTest.java:6635)
   A /trunk/packages/internal/grading
   A /trunk/packages/internal/grading/Description.props
   A /trunk/packages/internal/grading/build_package.xml
   A /trunk/packages/internal/grading/lib
   A /trunk/packages/internal/grading/src
   A /trunk/packages/internal/grading/src/main
   A /trunk/packages/internal/grading/src/main/java
   A /trunk/packages/internal/grading/src/main/java/weka
   A /trunk/packages/internal/grading/src/main/java/weka/classifiers
   A /trunk/packages/internal/grading/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/grading/src/main/java/weka/classifiers/meta/Grading.java (from /trunk/weka/src/main/java/weka/classifiers/meta/Grading.java:6635)
   A /trunk/packages/internal/grading/src/test
   A /trunk/packages/internal/grading/src/test/java
   A /trunk/packages/internal/grading/src/test/java/weka
   A /trunk/packages/internal/grading/src/test/java/weka/classifiers
   A /trunk/packages/internal/grading/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/grading/src/test/java/weka/classifiers/meta/GradingTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/GradingTest.java:6635)
   A /trunk/packages/internal/gridSearch
   A /trunk/packages/internal/gridSearch/Description.props
   A /trunk/packages/internal/gridSearch/build_package.xml
   A /trunk/packages/internal/gridSearch/lib
   A /trunk/packages/internal/gridSearch/src
   A /trunk/packages/internal/gridSearch/src/main
   A /trunk/packages/internal/gridSearch/src/main/java
   A /trunk/packages/internal/gridSearch/src/main/java/weka
   A /trunk/packages/internal/gridSearch/src/main/java/weka/classifiers
   A /trunk/packages/internal/gridSearch/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/gridSearch/src/main/java/weka/classifiers/meta/GridSearch.java (from /trunk/weka/src/main/java/weka/classifiers/meta/GridSearch.java:6635)
   A /trunk/packages/internal/gridSearch/src/test
   A /trunk/packages/internal/gridSearch/src/test/java
   A /trunk/packages/internal/gridSearch/src/test/java/weka
   A /trunk/packages/internal/gridSearch/src/test/java/weka/classifiers
   A /trunk/packages/internal/gridSearch/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/gridSearch/src/test/java/weka/classifiers/meta/GridSearchTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/GridSearchTest.java:6635)
   A /trunk/packages/internal/hotSpot
   A /trunk/packages/internal/hotSpot/Description.props
   A /trunk/packages/internal/hotSpot/build_package.xml
   A /trunk/packages/internal/hotSpot/lib
   A /trunk/packages/internal/hotSpot/src
   A /trunk/packages/internal/hotSpot/src/main
   A /trunk/packages/internal/hotSpot/src/main/java
   A /trunk/packages/internal/hotSpot/src/main/java/weka
   A /trunk/packages/internal/hotSpot/src/main/java/weka/associations
   A /trunk/packages/internal/hotSpot/src/main/java/weka/associations/HotSpot.java (from /trunk/weka/src/main/java/weka/associations/HotSpot.java:6635)
   A /trunk/packages/internal/hotSpot/src/test
   A /trunk/packages/internal/hotSpot/src/test/java
   A /trunk/packages/internal/hotSpot/src/test/java/weka
   A /trunk/packages/internal/hotSpot/src/test/java/weka/associations
   A /trunk/packages/internal/hotSpot/src/test/java/weka/associations/HotSpotTest.java (from /trunk/weka/src/test/java/weka/associations/HotSpotTest.java:6635)
   A /trunk/packages/internal/hyperPipes
   A /trunk/packages/internal/hyperPipes/Description.props
   A /trunk/packages/internal/hyperPipes/build_package.xml
   A /trunk/packages/internal/hyperPipes/lib
   A /trunk/packages/internal/hyperPipes/src
   A /trunk/packages/internal/hyperPipes/src/main
   A /trunk/packages/internal/hyperPipes/src/main/java
   A /trunk/packages/internal/hyperPipes/src/main/java/weka
   A /trunk/packages/internal/hyperPipes/src/main/java/weka/classifiers
   A /trunk/packages/internal/hyperPipes/src/main/java/weka/classifiers/misc
   A /trunk/packages/internal/hyperPipes/src/main/java/weka/classifiers/misc/HyperPipes.java (from /trunk/weka/src/main/java/weka/classifiers/misc/HyperPipes.java:6635)
   A /trunk/packages/internal/hyperPipes/src/test
   A /trunk/packages/internal/hyperPipes/src/test/java
   A /trunk/packages/internal/hyperPipes/src/test/java/weka
   A /trunk/packages/internal/hyperPipes/src/test/java/weka/classifiers
   A /trunk/packages/internal/hyperPipes/src/test/java/weka/classifiers/misc
   A /trunk/packages/internal/hyperPipes/src/test/java/weka/classifiers/misc/HyperPipesTest.java (from /trunk/weka/src/test/java/weka/classifiers/misc/HyperPipesTest.java:6635)
   A /trunk/packages/internal/isotonicRegression
   A /trunk/packages/internal/isotonicRegression/Description.props
   A /trunk/packages/internal/isotonicRegression/build_package.xml
   A /trunk/packages/internal/isotonicRegression/lib
   A /trunk/packages/internal/isotonicRegression/src
   A /trunk/packages/internal/isotonicRegression/src/main
   A /trunk/packages/internal/isotonicRegression/src/main/java
   A /trunk/packages/internal/isotonicRegression/src/main/java/weka
   A /trunk/packages/internal/isotonicRegression/src/main/java/weka/classifiers
   A /trunk/packages/internal/isotonicRegression/src/main/java/weka/classifiers/functions
   A /trunk/packages/internal/isotonicRegression/src/main/java/weka/classifiers/functions/IsotonicRegression.java (from /trunk/weka/src/main/java/weka/classifiers/functions/IsotonicRegression.java:6635)
   A /trunk/packages/internal/isotonicRegression/src/test
   A /trunk/packages/internal/isotonicRegression/src/test/java
   A /trunk/packages/internal/isotonicRegression/src/test/java/weka
   A /trunk/packages/internal/isotonicRegression/src/test/java/weka/classifiers
   A /trunk/packages/internal/isotonicRegression/src/test/java/weka/classifiers/functions
   A /trunk/packages/internal/isotonicRegression/src/test/java/weka/classifiers/functions/IsotonicRegressionTest.java (from /trunk/weka/src/test/java/weka/classifiers/functions/IsotonicRegressionTest.java:6635)
   A /trunk/packages/internal/leastMedSquared
   A /trunk/packages/internal/leastMedSquared/Description.props
   A /trunk/packages/internal/leastMedSquared/build_package.xml
   A /trunk/packages/internal/leastMedSquared/lib
   A /trunk/packages/internal/leastMedSquared/src
   A /trunk/packages/internal/leastMedSquared/src/main
   A /trunk/packages/internal/leastMedSquared/src/main/java
   A /trunk/packages/internal/leastMedSquared/src/main/java/weka
   A /trunk/packages/internal/leastMedSquared/src/main/java/weka/classifiers
   A /trunk/packages/internal/leastMedSquared/src/main/java/weka/classifiers/functions
   A /trunk/packages/internal/leastMedSquared/src/main/java/weka/classifiers/functions/LeastMedSq.java (from /trunk/weka/src/main/java/weka/classifiers/functions/LeastMedSq.java:6635)
   A /trunk/packages/internal/leastMedSquared/src/test
   A /trunk/packages/internal/leastMedSquared/src/test/java
   A /trunk/packages/internal/leastMedSquared/src/test/java/weka
   A /trunk/packages/internal/leastMedSquared/src/test/java/weka/classifiers
   A /trunk/packages/internal/leastMedSquared/src/test/java/weka/classifiers/functions
   A /trunk/packages/internal/leastMedSquared/src/test/java/weka/classifiers/functions/LeastMedSqTest.java (from /trunk/weka/src/test/java/weka/classifiers/functions/LeastMedSqTest.java:6635)
   A /trunk/packages/internal/metaCost
   A /trunk/packages/internal/metaCost/Description.props
   A /trunk/packages/internal/metaCost/build_package.xml
   A /trunk/packages/internal/metaCost/lib
   A /trunk/packages/internal/metaCost/src
   A /trunk/packages/internal/metaCost/src/main
   A /trunk/packages/internal/metaCost/src/main/java
   A /trunk/packages/internal/metaCost/src/main/java/weka
   A /trunk/packages/internal/metaCost/src/main/java/weka/classifiers
   A /trunk/packages/internal/metaCost/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/metaCost/src/main/java/weka/classifiers/meta/MetaCost.java (from /trunk/weka/src/main/java/weka/classifiers/meta/MetaCost.java:6635)
   A /trunk/packages/internal/metaCost/src/test
   A /trunk/packages/internal/metaCost/src/test/java
   A /trunk/packages/internal/metaCost/src/test/java/weka
   A /trunk/packages/internal/metaCost/src/test/java/weka/classifiers
   A /trunk/packages/internal/metaCost/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/metaCost/src/test/java/weka/classifiers/meta/MetaCostTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/MetaCostTest.java:6635)
   A /trunk/packages/internal/multiBoostAB
   A /trunk/packages/internal/multiBoostAB/Description.props
   A /trunk/packages/internal/multiBoostAB/build_package.xml
   A /trunk/packages/internal/multiBoostAB/lib
   A /trunk/packages/internal/multiBoostAB/src
   A /trunk/packages/internal/multiBoostAB/src/main
   A /trunk/packages/internal/multiBoostAB/src/main/java
   A /trunk/packages/internal/multiBoostAB/src/main/java/weka
   A /trunk/packages/internal/multiBoostAB/src/main/java/weka/classifiers
   A /trunk/packages/internal/multiBoostAB/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/multiBoostAB/src/main/java/weka/classifiers/meta/MultiBoostAB.java (from /trunk/weka/src/main/java/weka/classifiers/meta/MultiBoostAB.java:6635)
   A /trunk/packages/internal/multiBoostAB/src/test
   A /trunk/packages/internal/multiBoostAB/src/test/java
   A /trunk/packages/internal/multiBoostAB/src/test/java/weka
   A /trunk/packages/internal/multiBoostAB/src/test/java/weka/classifiers
   A /trunk/packages/internal/multiBoostAB/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/multiBoostAB/src/test/java/weka/classifiers/meta/MultiBoostABTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/MultiBoostABTest.java:6635)
   A /trunk/packages/internal/multiInstanceFilters
   A /trunk/packages/internal/multiInstanceFilters/Description.props
   A /trunk/packages/internal/multiInstanceFilters/build_package.xml
   A /trunk/packages/internal/multiInstanceFilters/lib
   A /trunk/packages/internal/multiInstanceFilters/src
   A /trunk/packages/internal/multiInstanceFilters/src/main
   A /trunk/packages/internal/multiInstanceFilters/src/main/java
   A /trunk/packages/internal/multiInstanceFilters/src/main/java/weka
   A /trunk/packages/internal/multiInstanceFilters/src/main/java/weka/filters
   A /trunk/packages/internal/multiInstanceFilters/src/main/java/weka/filters/unsupervised
   A /trunk/packages/internal/multiInstanceFilters/src/main/java/weka/filters/unsupervised/attribute
   A /trunk/packages/internal/multiInstanceFilters/src/main/java/weka/filters/unsupervised/attribute/MILESFilter.java (from /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MILESFilter.java:6635)
   A /trunk/packages/internal/multiInstanceFilters/src/main/java/weka/filters/unsupervised/attribute/MultiInstanceToPropositional.java (from /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MultiInstanceToPropositional.java:6635)
   A /trunk/packages/internal/multiInstanceFilters/src/main/java/weka/filters/unsupervised/attribute/PropositionalToMultiInstance.java (from /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PropositionalToMultiInstance.java:6635)
   A /trunk/packages/internal/multiInstanceFilters/src/main/java/weka/filters/unsupervised/attribute/RELAGGS.java (from /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RELAGGS.java:6635)
   A /trunk/packages/internal/multiInstanceFilters/src/test
   A /trunk/packages/internal/multiInstanceFilters/src/test/java
   A /trunk/packages/internal/multiInstanceFilters/src/test/java/weka
   A /trunk/packages/internal/multiInstanceFilters/src/test/java/weka/filters
   A /trunk/packages/internal/multiInstanceFilters/src/test/java/weka/filters/unsupervised
   A /trunk/packages/internal/multiInstanceFilters/src/test/java/weka/filters/unsupervised/attribute
   A /trunk/packages/internal/multiInstanceFilters/src/test/java/weka/filters/unsupervised/attribute/MILESFilterTest.java (from /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/MILESFilterTest.java:6635)
   A /trunk/packages/internal/multiInstanceFilters/src/test/java/weka/filters/unsupervised/attribute/MultiInstanceToPropositionalTest.java (from /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/MultiInstanceToPropositionalTest.java:6635)
   A /trunk/packages/internal/multiInstanceFilters/src/test/java/weka/filters/unsupervised/attribute/PropositionalToMultiInstanceTest.java (from /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/PropositionalToMultiInstanceTest.java:6635)
   A /trunk/packages/internal/multiInstanceFilters/src/test/java/weka/filters/unsupervised/attribute/RELAGGSTest.java (from /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/RELAGGSTest.java:6635)
   A /trunk/packages/internal/multiInstanceLearning
   A /trunk/packages/internal/multiInstanceLearning/Description.props
   A /trunk/packages/internal/multiInstanceLearning/build_package.xml
   A /trunk/packages/internal/multiInstanceLearning/lib
   A /trunk/packages/internal/multiInstanceLearning/src
   A /trunk/packages/internal/multiInstanceLearning/src/main
   A /trunk/packages/internal/multiInstanceLearning/src/main/java
   A /trunk/packages/internal/multiInstanceLearning/src/main/java/weka
   A /trunk/packages/internal/multiInstanceLearning/src/main/java/weka/classifiers
   A /trunk/packages/internal/multiInstanceLearning/src/main/java/weka/classifiers/mi (from /trunk/weka/src/main/java/weka/classifiers/mi:6635)
   A /trunk/packages/internal/multiInstanceLearning/src/test
   A /trunk/packages/internal/multiInstanceLearning/src/test/java
   A /trunk/packages/internal/multiInstanceLearning/src/test/java/weka
   A /trunk/packages/internal/multiInstanceLearning/src/test/java/weka/classifiers
   A /trunk/packages/internal/multiInstanceLearning/src/test/java/weka/classifiers/mi (from /trunk/weka/src/test/java/weka/classifiers/mi:6635)
   A /trunk/packages/internal/naiveBayesTree
   A /trunk/packages/internal/naiveBayesTree/Description.props
   A /trunk/packages/internal/naiveBayesTree/build_package.xml
   A /trunk/packages/internal/naiveBayesTree/lib
   A /trunk/packages/internal/naiveBayesTree/src
   A /trunk/packages/internal/naiveBayesTree/src/main
   A /trunk/packages/internal/naiveBayesTree/src/main/java
   A /trunk/packages/internal/naiveBayesTree/src/main/java/weka
   A /trunk/packages/internal/naiveBayesTree/src/main/java/weka/classifiers
   A /trunk/packages/internal/naiveBayesTree/src/main/java/weka/classifiers/trees
   A /trunk/packages/internal/naiveBayesTree/src/main/java/weka/classifiers/trees/NBTree.java (from /trunk/weka/src/main/java/weka/classifiers/trees/NBTree.java:6635)
   A /trunk/packages/internal/naiveBayesTree/src/test
   A /trunk/packages/internal/naiveBayesTree/src/test/java
   A /trunk/packages/internal/naiveBayesTree/src/test/java/weka
   A /trunk/packages/internal/naiveBayesTree/src/test/java/weka/classifiers
   A /trunk/packages/internal/naiveBayesTree/src/test/java/weka/classifiers/trees
   A /trunk/packages/internal/naiveBayesTree/src/test/java/weka/classifiers/trees/NBTreeTest.java (from /trunk/weka/src/test/java/weka/classifiers/trees/NBTreeTest.java:6635)
   A /trunk/packages/internal/oneClassClassifier
   A /trunk/packages/internal/oneClassClassifier/Description.props
   A /trunk/packages/internal/oneClassClassifier/build_package.xml
   A /trunk/packages/internal/oneClassClassifier/lib
   A /trunk/packages/internal/oneClassClassifier/src
   A /trunk/packages/internal/oneClassClassifier/src/main
   A /trunk/packages/internal/oneClassClassifier/src/main/java
   A /trunk/packages/internal/oneClassClassifier/src/main/java/weka
   A /trunk/packages/internal/oneClassClassifier/src/main/java/weka/classifiers
   A /trunk/packages/internal/oneClassClassifier/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/oneClassClassifier/src/main/java/weka/classifiers/meta/OneClassClassifier.java (from /trunk/weka/src/main/java/weka/classifiers/meta/OneClassClassifier.java:6635)
   A /trunk/packages/internal/oneClassClassifier/src/main/java/weka/classifiers/meta/generators (from /trunk/weka/src/main/java/weka/classifiers/meta/generators:6635)
   A /trunk/packages/internal/oneClassClassifier/src/test
   A /trunk/packages/internal/oneClassClassifier/src/test/java
   A /trunk/packages/internal/oneClassClassifier/src/test/java/weka
   A /trunk/packages/internal/oneClassClassifier/src/test/java/weka/classifiers
   A /trunk/packages/internal/oneClassClassifier/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/oneClassClassifier/src/test/java/weka/classifiers/meta/OneClassClassifierTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/OneClassClassifierTest.java:6635)
   A /trunk/packages/internal/ordinalClassClassifier
   A /trunk/packages/internal/ordinalClassClassifier/Description.props
   A /trunk/packages/internal/ordinalClassClassifier/build_package.xml
   A /trunk/packages/internal/ordinalClassClassifier/lib
   A /trunk/packages/internal/ordinalClassClassifier/src
   A /trunk/packages/internal/ordinalClassClassifier/src/main
   A /trunk/packages/internal/ordinalClassClassifier/src/main/java
   A /trunk/packages/internal/ordinalClassClassifier/src/main/java/weka
   A /trunk/packages/internal/ordinalClassClassifier/src/main/java/weka/classifiers
   A /trunk/packages/internal/ordinalClassClassifier/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/ordinalClassClassifier/src/main/java/weka/classifiers/meta/OrdinalClassClassifier.java (from /trunk/weka/src/main/java/weka/classifiers/meta/OrdinalClassClassifier.java:6635)
   A /trunk/packages/internal/ordinalClassClassifier/src/test
   A /trunk/packages/internal/ordinalClassClassifier/src/test/java
   A /trunk/packages/internal/ordinalClassClassifier/src/test/java/weka
   A /trunk/packages/internal/ordinalClassClassifier/src/test/java/weka/classifiers
   A /trunk/packages/internal/ordinalClassClassifier/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/ordinalClassClassifier/src/test/java/weka/classifiers/meta/OrdinalClassClassifierTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/OrdinalClassClassifierTest.java:6635)
   A /trunk/packages/internal/paceRegression
   A /trunk/packages/internal/paceRegression/Description.props
   A /trunk/packages/internal/paceRegression/build_package.xml
   A /trunk/packages/internal/paceRegression/lib
   A /trunk/packages/internal/paceRegression/src
   A /trunk/packages/internal/paceRegression/src/main
   A /trunk/packages/internal/paceRegression/src/main/java
   A /trunk/packages/internal/paceRegression/src/main/java/weka
   A /trunk/packages/internal/paceRegression/src/main/java/weka/classifiers
   A /trunk/packages/internal/paceRegression/src/main/java/weka/classifiers/functions
   A /trunk/packages/internal/paceRegression/src/main/java/weka/classifiers/functions/PaceRegression.java (from /trunk/weka/src/main/java/weka/classifiers/functions/PaceRegression.java:6635)
   A /trunk/packages/internal/paceRegression/src/main/java/weka/classifiers/functions/pace (from /trunk/weka/src/main/java/weka/classifiers/functions/pace:6635)
   A /trunk/packages/internal/paceRegression/src/test
   A /trunk/packages/internal/paceRegression/src/test/java
   A /trunk/packages/internal/paceRegression/src/test/java/weka
   A /trunk/packages/internal/paceRegression/src/test/java/weka/classifiers
   A /trunk/packages/internal/paceRegression/src/test/java/weka/classifiers/functions
   A /trunk/packages/internal/paceRegression/src/test/java/weka/classifiers/functions/PaceRegressionTest.java (from /trunk/weka/src/test/java/weka/classifiers/functions/PaceRegressionTest.java:6635)
   A /trunk/packages/internal/partialLeastSquares
   A /trunk/packages/internal/partialLeastSquares/Description.props
   A /trunk/packages/internal/partialLeastSquares/build_package.xml
   A /trunk/packages/internal/partialLeastSquares/lib
   A /trunk/packages/internal/partialLeastSquares/src
   A /trunk/packages/internal/partialLeastSquares/src/main
   A /trunk/packages/internal/partialLeastSquares/src/main/java
   A /trunk/packages/internal/partialLeastSquares/src/main/java/weka
   A /trunk/packages/internal/partialLeastSquares/src/main/java/weka/classifiers
   A /trunk/packages/internal/partialLeastSquares/src/main/java/weka/classifiers/functions
   A /trunk/packages/internal/partialLeastSquares/src/main/java/weka/classifiers/functions/PLSClassifier.java (from /trunk/weka/src/main/java/weka/classifiers/functions/PLSClassifier.java:6635)
   A /trunk/packages/internal/partialLeastSquares/src/main/java/weka/filters
   A /trunk/packages/internal/partialLeastSquares/src/main/java/weka/filters/supervised
   A /trunk/packages/internal/partialLeastSquares/src/main/java/weka/filters/supervised/attribute
   A /trunk/packages/internal/partialLeastSquares/src/main/java/weka/filters/supervised/attribute/PLSFilter.java (from /trunk/weka/src/main/java/weka/filters/supervised/attribute/PLSFilter.java:6635)
   A /trunk/packages/internal/partialLeastSquares/src/test
   A /trunk/packages/internal/partialLeastSquares/src/test/java
   A /trunk/packages/internal/partialLeastSquares/src/test/java/weka
   A /trunk/packages/internal/partialLeastSquares/src/test/java/weka/classifiers
   A /trunk/packages/internal/partialLeastSquares/src/test/java/weka/classifiers/functions
   A /trunk/packages/internal/partialLeastSquares/src/test/java/weka/classifiers/functions/PLSClassifierTest.java (from /trunk/weka/src/test/java/weka/classifiers/functions/PLSClassifierTest.java:6635)
   A /trunk/packages/internal/partialLeastSquares/src/test/java/weka/filters
   A /trunk/packages/internal/partialLeastSquares/src/test/java/weka/filters/supervised
   A /trunk/packages/internal/partialLeastSquares/src/test/java/weka/filters/supervised/attribute
   A /trunk/packages/internal/partialLeastSquares/src/test/java/weka/filters/supervised/attribute/PLSFilterTest.java (from /trunk/weka/src/test/java/weka/filters/supervised/attribute/PLSFilterTest.java:6635)
   A /trunk/packages/internal/predictiveApriori
   A /trunk/packages/internal/predictiveApriori/build_package.xml
   A /trunk/packages/internal/predictiveApriori/lib
   A /trunk/packages/internal/predictiveApriori/src
   A /trunk/packages/internal/predictiveApriori/src/main
   A /trunk/packages/internal/predictiveApriori/src/main/java
   A /trunk/packages/internal/predictiveApriori/src/main/java/weka
   A /trunk/packages/internal/predictiveApriori/src/main/java/weka/associations
   A /trunk/packages/internal/predictiveApriori/src/main/java/weka/associations/CaRuleGeneration.java (from /trunk/weka/src/main/java/weka/associations/CaRuleGeneration.java:6635)
   A /trunk/packages/internal/predictiveApriori/src/main/java/weka/associations/PredictiveApriori.java (from /trunk/weka/src/main/java/weka/associations/PredictiveApriori.java:6635)
   A /trunk/packages/internal/predictiveApriori/src/main/java/weka/associations/PriorEstimation.java (from /trunk/weka/src/main/java/weka/associations/PriorEstimation.java:6635)
   A /trunk/packages/internal/predictiveApriori/src/main/java/weka/associations/RuleGeneration.java (from /trunk/weka/src/main/java/weka/associations/RuleGeneration.java:6635)
   A /trunk/packages/internal/predictiveApriori/src/main/java/weka/associations/RuleItem.java (from /trunk/weka/src/main/java/weka/associations/RuleItem.java:6635)
   A /trunk/packages/internal/predictiveApriori/src/test
   A /trunk/packages/internal/predictiveApriori/src/test/java
   A /trunk/packages/internal/predictiveApriori/src/test/java/weka
   A /trunk/packages/internal/predictiveApriori/src/test/java/weka/associations
   A /trunk/packages/internal/predictiveApriori/src/test/java/weka/associations/PredictiveAprioriTest.java (from /trunk/weka/src/test/java/weka/associations/PredictiveAprioriTest.java:6635)
   A /trunk/packages/internal/raceSearch
   A /trunk/packages/internal/raceSearch/Description.props
   A /trunk/packages/internal/raceSearch/build_package.xml
   A /trunk/packages/internal/raceSearch/lib
   A /trunk/packages/internal/raceSearch/src
   A /trunk/packages/internal/raceSearch/src/main
   A /trunk/packages/internal/raceSearch/src/main/java
   A /trunk/packages/internal/raceSearch/src/main/java/weka
   A /trunk/packages/internal/raceSearch/src/main/java/weka/attributeSelection
   A /trunk/packages/internal/raceSearch/src/main/java/weka/attributeSelection/RaceSearch.java (from /trunk/weka/src/main/java/weka/attributeSelection/RaceSearch.java:6635)
   A /trunk/packages/internal/raceSearch/src/test
   A /trunk/packages/internal/raceSearch/src/test/java
   A /trunk/packages/internal/raceSearch/src/test/java/weka
   A /trunk/packages/internal/raceSearch/src/test/java/weka/attributeSelection
   A /trunk/packages/internal/raceSearch/src/test/java/weka/attributeSelection/RaceSearchTest.java (from /trunk/weka/src/test/java/weka/attributeSelection/RaceSearchTest.java:6635)
   A /trunk/packages/internal/racedIncrementalLogitBoost
   A /trunk/packages/internal/racedIncrementalLogitBoost/Description.props
   A /trunk/packages/internal/racedIncrementalLogitBoost/build_package.xml
   A /trunk/packages/internal/racedIncrementalLogitBoost/lib
   A /trunk/packages/internal/racedIncrementalLogitBoost/src
   A /trunk/packages/internal/racedIncrementalLogitBoost/src/main
   A /trunk/packages/internal/racedIncrementalLogitBoost/src/main/java
   A /trunk/packages/internal/racedIncrementalLogitBoost/src/main/java/weka
   A /trunk/packages/internal/racedIncrementalLogitBoost/src/main/java/weka/classifiers
   A /trunk/packages/internal/racedIncrementalLogitBoost/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/racedIncrementalLogitBoost/src/main/java/weka/classifiers/meta/RacedIncrementalLogitBoost.java (from /trunk/weka/src/main/java/weka/classifiers/meta/RacedIncrementalLogitBoost.java:6635)
   A /trunk/packages/internal/racedIncrementalLogitBoost/src/test
   A /trunk/packages/internal/racedIncrementalLogitBoost/src/test/java
   A /trunk/packages/internal/racedIncrementalLogitBoost/src/test/java/weka
   A /trunk/packages/internal/racedIncrementalLogitBoost/src/test/java/weka/classifiers
   A /trunk/packages/internal/racedIncrementalLogitBoost/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/racedIncrementalLogitBoost/src/test/java/weka/classifiers/meta/RacedIncrementalLogitBoostTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/RacedIncrementalLogitBoostTest.java:6635)
   A /trunk/packages/internal/realAdaBoost
   A /trunk/packages/internal/realAdaBoost/Description.props
   A /trunk/packages/internal/realAdaBoost/build_package.xml
   A /trunk/packages/internal/realAdaBoost/lib
   A /trunk/packages/internal/realAdaBoost/src
   A /trunk/packages/internal/realAdaBoost/src/main
   A /trunk/packages/internal/realAdaBoost/src/main/java
   A /trunk/packages/internal/realAdaBoost/src/main/java/weka
   A /trunk/packages/internal/realAdaBoost/src/main/java/weka/classifiers
   A /trunk/packages/internal/realAdaBoost/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/realAdaBoost/src/main/java/weka/classifiers/meta/RealAdaBoost.java (from /trunk/weka/src/main/java/weka/classifiers/meta/RealAdaBoost.java:6635)
   A /trunk/packages/internal/realAdaBoost/src/test
   A /trunk/packages/internal/realAdaBoost/src/test/java
   A /trunk/packages/internal/realAdaBoost/src/test/java/weka
   A /trunk/packages/internal/realAdaBoost/src/test/java/weka/classifiers
   A /trunk/packages/internal/realAdaBoost/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/realAdaBoost/src/test/java/weka/classifiers/meta/RealAdaBoostTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/RealAdaBoostTest.java:6635)
   A /trunk/packages/internal/regressionByDiscretization
   A /trunk/packages/internal/regressionByDiscretization/Description.props
   A /trunk/packages/internal/regressionByDiscretization/build_package.xml
   A /trunk/packages/internal/regressionByDiscretization/lib
   A /trunk/packages/internal/regressionByDiscretization/src
   A /trunk/packages/internal/regressionByDiscretization/src/main
   A /trunk/packages/internal/regressionByDiscretization/src/main/java
   A /trunk/packages/internal/regressionByDiscretization/src/main/java/weka
   A /trunk/packages/internal/regressionByDiscretization/src/main/java/weka/classifiers
   A /trunk/packages/internal/regressionByDiscretization/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/regressionByDiscretization/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java (from /trunk/weka/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java:6635)
   A /trunk/packages/internal/regressionByDiscretization/src/test
   A /trunk/packages/internal/regressionByDiscretization/src/test/java
   A /trunk/packages/internal/regressionByDiscretization/src/test/java/weka
   A /trunk/packages/internal/regressionByDiscretization/src/test/java/weka/classifiers
   A /trunk/packages/internal/regressionByDiscretization/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/regressionByDiscretization/src/test/java/weka/classifiers/meta/RegressionByDiscretizationTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/RegressionByDiscretizationTest.java:6635)
   A /trunk/packages/internal/ridor
   A /trunk/packages/internal/ridor/Description.props
   A /trunk/packages/internal/ridor/build_package.xml
   A /trunk/packages/internal/ridor/lib
   A /trunk/packages/internal/ridor/src
   A /trunk/packages/internal/ridor/src/main
   A /trunk/packages/internal/ridor/src/main/java
   A /trunk/packages/internal/ridor/src/main/java/weka
   A /trunk/packages/internal/ridor/src/main/java/weka/classifiers
   A /trunk/packages/internal/ridor/src/main/java/weka/classifiers/rules
   A /trunk/packages/internal/ridor/src/main/java/weka/classifiers/rules/Ridor.java (from /trunk/weka/src/main/java/weka/classifiers/rules/Ridor.java:6635)
   A /trunk/packages/internal/ridor/src/test
   A /trunk/packages/internal/ridor/src/test/java
   A /trunk/packages/internal/ridor/src/test/java/weka
   A /trunk/packages/internal/ridor/src/test/java/weka/classifiers
   A /trunk/packages/internal/ridor/src/test/java/weka/classifiers/rules
   A /trunk/packages/internal/ridor/src/test/java/weka/classifiers/rules/RidorTest.java (from /trunk/weka/src/test/java/weka/classifiers/rules/RidorTest.java:6635)
   A /trunk/packages/internal/scriptingClassifiers
   A /trunk/packages/internal/scriptingClassifiers/Description.props
   A /trunk/packages/internal/scriptingClassifiers/build_package.xml
   A /trunk/packages/internal/scriptingClassifiers/lib
   A /trunk/packages/internal/scriptingClassifiers/src
   A /trunk/packages/internal/scriptingClassifiers/src/main
   A /trunk/packages/internal/scriptingClassifiers/src/main/java
   A /trunk/packages/internal/scriptingClassifiers/src/main/java/weka
   A /trunk/packages/internal/scriptingClassifiers/src/main/java/weka/classifiers
   A /trunk/packages/internal/scriptingClassifiers/src/main/java/weka/classifiers/scripting
   A /trunk/packages/internal/scriptingClassifiers/src/main/java/weka/classifiers/scripting/GroovyClassifier.java (from /trunk/weka/src/main/java/weka/classifiers/scripting/GroovyClassifier.java:6635)
   A /trunk/packages/internal/scriptingClassifiers/src/main/java/weka/classifiers/scripting/JythonClassifier.java (from /trunk/weka/src/main/java/weka/classifiers/scripting/JythonClassifier.java:6635)
   A /trunk/packages/internal/scriptingClassifiers/src/test
   A /trunk/packages/internal/scriptingClassifiers/src/test/java
   A /trunk/packages/internal/scriptingClassifiers/src/test/java/weka
   A /trunk/packages/internal/scriptingClassifiers/src/test/java/weka/classifiers
   A /trunk/packages/internal/scriptingClassifiers/src/test/java/weka/classifiers/scripting
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/Description.props
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/build_package.xml
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/lib
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/src
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/src/main
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/src/main/java
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/src/main/java/weka
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/src/main/java/weka/clusterers
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/src/main/java/weka/clusterers/sIB.java (from /trunk/weka/src/main/java/weka/clusterers/sIB.java:6635)
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/src/test
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/src/test/java
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/src/test/java/weka
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/src/test/java/weka/clusterers
   A /trunk/packages/internal/sequentialInformationalBottleneckClusterer/src/test/java/weka/clusterers/sIBTest.java (from /trunk/weka/src/test/java/weka/clusterers/sIBTest.java:6635)
   A /trunk/packages/internal/simpleCART
   A /trunk/packages/internal/simpleCART/Description.props
   A /trunk/packages/internal/simpleCART/build_package.xml
   A /trunk/packages/internal/simpleCART/lib
   A /trunk/packages/internal/simpleCART/src
   A /trunk/packages/internal/simpleCART/src/main
   A /trunk/packages/internal/simpleCART/src/main/java
   A /trunk/packages/internal/simpleCART/src/main/java/weka
   A /trunk/packages/internal/simpleCART/src/main/java/weka/classifiers
   A /trunk/packages/internal/simpleCART/src/main/java/weka/classifiers/trees
   A /trunk/packages/internal/simpleCART/src/main/java/weka/classifiers/trees/SimpleCart.java (from /trunk/weka/src/main/java/weka/classifiers/trees/SimpleCart.java:6635)
   A /trunk/packages/internal/simpleCART/src/test
   A /trunk/packages/internal/simpleCART/src/test/java
   A /trunk/packages/internal/simpleCART/src/test/java/weka
   A /trunk/packages/internal/simpleCART/src/test/java/weka/classifiers
   A /trunk/packages/internal/simpleCART/src/test/java/weka/classifiers/trees
   A /trunk/packages/internal/simpleCART/src/test/java/weka/classifiers/trees/SimpleCartTest.java (from /trunk/weka/src/test/java/weka/classifiers/trees/SimpleCartTest.java:6635)
   A /trunk/packages/internal/thresholdSelector
   A /trunk/packages/internal/thresholdSelector/Description.props
   A /trunk/packages/internal/thresholdSelector/build_package.xml
   A /trunk/packages/internal/thresholdSelector/lib
   A /trunk/packages/internal/thresholdSelector/src
   A /trunk/packages/internal/thresholdSelector/src/main
   A /trunk/packages/internal/thresholdSelector/src/main/java
   A /trunk/packages/internal/thresholdSelector/src/main/java/weka
   A /trunk/packages/internal/thresholdSelector/src/main/java/weka/classifiers
   A /trunk/packages/internal/thresholdSelector/src/main/java/weka/classifiers/meta
   A /trunk/packages/internal/thresholdSelector/src/main/java/weka/classifiers/meta/ThresholdSelector.java (from /trunk/weka/src/main/java/weka/classifiers/meta/ThresholdSelector.java:6635)
   A /trunk/packages/internal/thresholdSelector/src/test
   A /trunk/packages/internal/thresholdSelector/src/test/java
   A /trunk/packages/internal/thresholdSelector/src/test/java/weka
   A /trunk/packages/internal/thresholdSelector/src/test/java/weka/classifiers
   A /trunk/packages/internal/thresholdSelector/src/test/java/weka/classifiers/meta
   A /trunk/packages/internal/thresholdSelector/src/test/java/weka/classifiers/meta/ThresholdSelectorTest.java (from /trunk/weka/src/test/java/weka/classifiers/meta/ThresholdSelectorTest.java:6635)
   A /trunk/packages/internal/userClassifier
   A /trunk/packages/internal/userClassifier/Description.props
   A /trunk/packages/internal/userClassifier/build_package.xml
   A /trunk/packages/internal/userClassifier/lib
   A /trunk/packages/internal/userClassifier/src
   A /trunk/packages/internal/userClassifier/src/main
   A /trunk/packages/internal/userClassifier/src/main/java
   A /trunk/packages/internal/userClassifier/src/main/java/weka
   A /trunk/packages/internal/userClassifier/src/main/java/weka/classifiers
   A /trunk/packages/internal/userClassifier/src/main/java/weka/classifiers/trees
   A /trunk/packages/internal/userClassifier/src/main/java/weka/classifiers/trees/UserClassifier.java (from /trunk/weka/src/main/java/weka/classifiers/trees/UserClassifier.java:6635)
   A /trunk/packages/internal/userClassifier/src/test
   A /trunk/packages/internal/userClassifier/src/test/java
   A /trunk/packages/internal/userClassifier/src/test/java/weka
   A /trunk/packages/internal/userClassifier/src/test/java/weka/classifiers
   A /trunk/packages/internal/userClassifier/src/test/java/weka/classifiers/trees
   A /trunk/packages/internal/userClassifier/src/test/java/weka/classifiers/trees/UserClassifierTest.java (from /trunk/weka/src/test/java/weka/classifiers/trees/UserClassifierTest.java:6635)
   A /trunk/packages/internal/votingFeatureIntervals
   A /trunk/packages/internal/votingFeatureIntervals/Description.props
   A /trunk/packages/internal/votingFeatureIntervals/build_package.xml
   A /trunk/packages/internal/votingFeatureIntervals/lib
   A /trunk/packages/internal/votingFeatureIntervals/src
   A /trunk/packages/internal/votingFeatureIntervals/src/main
   A /trunk/packages/internal/votingFeatureIntervals/src/main/java
   A /trunk/packages/internal/votingFeatureIntervals/src/main/java/weka
   A /trunk/packages/internal/votingFeatureIntervals/src/main/java/weka/classifiers
   A /trunk/packages/internal/votingFeatureIntervals/src/main/java/weka/classifiers/misc
   A /trunk/packages/internal/votingFeatureIntervals/src/main/java/weka/classifiers/misc/VFI.java (from /trunk/weka/src/main/java/weka/classifiers/misc/VFI.java:6635)
   A /trunk/packages/internal/votingFeatureIntervals/src/test
   A /trunk/packages/internal/votingFeatureIntervals/src/test/java
   A /trunk/packages/internal/votingFeatureIntervals/src/test/java/weka
   A /trunk/packages/internal/votingFeatureIntervals/src/test/java/weka/classifiers
   A /trunk/packages/internal/votingFeatureIntervals/src/test/java/weka/classifiers/misc
   A /trunk/packages/internal/votingFeatureIntervals/src/test/java/weka/classifiers/misc/VFITest.java (from /trunk/weka/src/test/java/weka/classifiers/misc/VFITest.java:6635)
   A /trunk/packages/internal/wavelet
   A /trunk/packages/internal/wavelet/Description.props
   A /trunk/packages/internal/wavelet/build_package.xml
   A /trunk/packages/internal/wavelet/lib
   A /trunk/packages/internal/wavelet/src
   A /trunk/packages/internal/wavelet/src/main
   A /trunk/packages/internal/wavelet/src/main/java
   A /trunk/packages/internal/wavelet/src/main/java/weka
   A /trunk/packages/internal/wavelet/src/main/java/weka/filters
   A /trunk/packages/internal/wavelet/src/main/java/weka/filters/unsupervised
   A /trunk/packages/internal/wavelet/src/main/java/weka/filters/unsupervised/attribute
   A /trunk/packages/internal/wavelet/src/main/java/weka/filters/unsupervised/attribute/Wavelet.java (from /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Wavelet.java:6635)
   A /trunk/packages/internal/wavelet/src/test
   A /trunk/packages/internal/wavelet/src/test/java
   A /trunk/packages/internal/wavelet/src/test/java/weka
   A /trunk/packages/internal/wavelet/src/test/java/weka/filters
   A /trunk/packages/internal/wavelet/src/test/java/weka/filters/unsupervised
   A /trunk/packages/internal/wavelet/src/test/java/weka/filters/unsupervised/attribute
   A /trunk/packages/internal/wavelet/src/test/java/weka/filters/unsupervised/attribute/WaveletTest.java (from /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/WaveletTest.java:6635)
   D /trunk/weka/src/main/java/weka/associations/CaRuleGeneration.java
   D /trunk/weka/src/main/java/weka/associations/GeneralizedSequentialPatterns.java
   D /trunk/weka/src/main/java/weka/associations/HotSpot.java
   D /trunk/weka/src/main/java/weka/associations/PredictiveApriori.java
   D /trunk/weka/src/main/java/weka/associations/PriorEstimation.java
   D /trunk/weka/src/main/java/weka/associations/RuleGeneration.java
   D /trunk/weka/src/main/java/weka/associations/RuleItem.java
   D /trunk/weka/src/main/java/weka/associations/Tertius.java
   D /trunk/weka/src/main/java/weka/associations/gsp
   D /trunk/weka/src/main/java/weka/associations/tertius
   D /trunk/weka/src/main/java/weka/attributeSelection/ChiSquaredAttributeEval.java
   D /trunk/weka/src/main/java/weka/attributeSelection/ClassifierAttributeEval.java
   D /trunk/weka/src/main/java/weka/attributeSelection/ClassifierSubsetEval.java
   D /trunk/weka/src/main/java/weka/attributeSelection/ConsistencySubsetEval.java
   D /trunk/weka/src/main/java/weka/attributeSelection/CostSensitiveASEvaluation.java
   D /trunk/weka/src/main/java/weka/attributeSelection/CostSensitiveAttributeEval.java
   D /trunk/weka/src/main/java/weka/attributeSelection/CostSensitiveSubsetEval.java
   D /trunk/weka/src/main/java/weka/attributeSelection/ExhaustiveSearch.java
   D /trunk/weka/src/main/java/weka/attributeSelection/FCBFSearch.java
   D /trunk/weka/src/main/java/weka/attributeSelection/FilteredAttributeEval.java
   D /trunk/weka/src/main/java/weka/attributeSelection/FilteredSubsetEval.java
   D /trunk/weka/src/main/java/weka/attributeSelection/GeneticSearch.java
   D /trunk/weka/src/main/java/weka/attributeSelection/LFSMethods.java
   D /trunk/weka/src/main/java/weka/attributeSelection/LatentSemanticAnalysis.java
   D /trunk/weka/src/main/java/weka/attributeSelection/LinearForwardSelection.java
   D /trunk/weka/src/main/java/weka/attributeSelection/RaceSearch.java
   D /trunk/weka/src/main/java/weka/attributeSelection/RandomSearch.java
   D /trunk/weka/src/main/java/weka/attributeSelection/RankSearch.java
   D /trunk/weka/src/main/java/weka/attributeSelection/SVMAttributeEval.java
   D /trunk/weka/src/main/java/weka/attributeSelection/ScatterSearchV1.java
   D /trunk/weka/src/main/java/weka/attributeSelection/SignificanceAttributeEval.java
   D /trunk/weka/src/main/java/weka/attributeSelection/SubsetSizeForwardSelection.java
   D /trunk/weka/src/main/java/weka/attributeSelection/SymmetricalUncertAttributeSetEval.java
   D /trunk/weka/src/main/java/weka/attributeSelection/TabuSearch.java
   D /trunk/weka/src/main/java/weka/classifiers/EnsembleLibrary.java
   D /trunk/weka/src/main/java/weka/classifiers/EnsembleLibraryModel.java
   D /trunk/weka/src/main/java/weka/classifiers/EnsembleLibraryModelComparator.java
   D /trunk/weka/src/main/java/weka/classifiers/bayes/AODE.java
   D /trunk/weka/src/main/java/weka/classifiers/bayes/AODEsr.java
   D /trunk/weka/src/main/java/weka/classifiers/bayes/BayesianLogisticRegression.java
   D /trunk/weka/src/main/java/weka/classifiers/bayes/DMNBtext.java
   D /trunk/weka/src/main/java/weka/classifiers/bayes/HNB.java
   D /trunk/weka/src/main/java/weka/classifiers/bayes/WAODE.java
   D /trunk/weka/src/main/java/weka/classifiers/bayes/blr
   D /trunk/weka/src/main/java/weka/classifiers/functions/GaussianProcesses.java
   D /trunk/weka/src/main/java/weka/classifiers/functions/IsotonicRegression.java
   D /trunk/weka/src/main/java/weka/classifiers/functions/LeastMedSq.java
   D /trunk/weka/src/main/java/weka/classifiers/functions/LibLINEAR.java
   D /trunk/weka/src/main/java/weka/classifiers/functions/LibSVM.java
   D /trunk/weka/src/main/java/weka/classifiers/functions/MultilayerPerceptronCS.java
   D /trunk/weka/src/main/java/weka/classifiers/functions/PLSClassifier.java
   D /trunk/weka/src/main/java/weka/classifiers/functions/PaceRegression.java
   D /trunk/weka/src/main/java/weka/classifiers/functions/RBFNetwork.java
   D /trunk/weka/src/main/java/weka/classifiers/functions/SPegasos.java
   D /trunk/weka/src/main/java/weka/classifiers/functions/Winnow.java
   D /trunk/weka/src/main/java/weka/classifiers/functions/pace
   D /trunk/weka/src/main/java/weka/classifiers/lazy/LBR.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/ClassificationViaClustering.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/ClassificationViaRegression.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/Dagging.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/Decorate.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/END.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/EnsembleSelection.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/Grading.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/GridSearch.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/MetaCost.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/MultiBoostAB.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/OneClassClassifier.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/OrdinalClassClassifier.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/RacedIncrementalLogitBoost.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/RealAdaBoost.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/RotationForest.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/StackingC.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/ThresholdSelector.java
   D /trunk/weka/src/main/java/weka/classifiers/meta/ensembleSelection
   D /trunk/weka/src/main/java/weka/classifiers/meta/generators
   D /trunk/weka/src/main/java/weka/classifiers/meta/nestedDichotomies
   D /trunk/weka/src/main/java/weka/classifiers/mi
   D /trunk/weka/src/main/java/weka/classifiers/misc/FLR.java
   D /trunk/weka/src/main/java/weka/classifiers/misc/HyperPipes.java
   D /trunk/weka/src/main/java/weka/classifiers/misc/OSDL.java
   D /trunk/weka/src/main/java/weka/classifiers/misc/VFI.java
   D /trunk/weka/src/main/java/weka/classifiers/misc/monotone
   D /trunk/weka/src/main/java/weka/classifiers/rules/ConjunctiveRule.java
   D /trunk/weka/src/main/java/weka/classifiers/rules/DTNB.java
   D /trunk/weka/src/main/java/weka/classifiers/rules/FURIA.java
   D /trunk/weka/src/main/java/weka/classifiers/rules/NNge.java
   D /trunk/weka/src/main/java/weka/classifiers/rules/OLM.java
   D /trunk/weka/src/main/java/weka/classifiers/rules/Ridor.java
   D /trunk/weka/src/main/java/weka/classifiers/scripting/GroovyClassifier.java
   D /trunk/weka/src/main/java/weka/classifiers/scripting/JythonClassifier.java
   D /trunk/weka/src/main/java/weka/classifiers/trees/ADTree.java
   D /trunk/weka/src/main/java/weka/classifiers/trees/BFTree.java
   D /trunk/weka/src/main/java/weka/classifiers/trees/FT.java
   D /trunk/weka/src/main/java/weka/classifiers/trees/J48graft.java
   D /trunk/weka/src/main/java/weka/classifiers/trees/LADTree.java
   D /trunk/weka/src/main/java/weka/classifiers/trees/NBTree.java
   D /trunk/weka/src/main/java/weka/classifiers/trees/SimpleCart.java
   D /trunk/weka/src/main/java/weka/classifiers/trees/UserClassifier.java
   D /trunk/weka/src/main/java/weka/classifiers/trees/ft
   D /trunk/weka/src/main/java/weka/clusterers/CLOPE.java
   D /trunk/weka/src/main/java/weka/clusterers/DBScan.java
   D /trunk/weka/src/main/java/weka/clusterers/OPTICS.java
   D /trunk/weka/src/main/java/weka/clusterers/XMeans.java
   D /trunk/weka/src/main/java/weka/clusterers/forOPTICSAndDBScan
   D /trunk/weka/src/main/java/weka/clusterers/sIB.java
   D /trunk/weka/src/main/java/weka/core/AbstractStringDistanceFunction.java
   D /trunk/weka/src/main/java/weka/core/EditDistance.java
   D /trunk/weka/src/main/java/weka/filters/supervised/attribute/PLSFilter.java
   D /trunk/weka/src/main/java/weka/filters/supervised/instance/SMOTE.java
   D /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/EMImputation.java
   D /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MILESFilter.java
   D /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MultiInstanceToPropositional.java
   D /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PropositionalToMultiInstance.java
   D /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RELAGGS.java
   D /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Wavelet.java
   D /trunk/weka/src/main/java/weka/filters/unsupervised/instance/Denormalize.java
   D /trunk/weka/src/main/java/weka/filters/unsupervised/instance/Normalize.java
   D /trunk/weka/src/main/java/weka/gui/EnsembleLibraryEditor.java
   D /trunk/weka/src/main/java/weka/gui/EnsembleSelectionLibraryEditor.java
   D /trunk/weka/src/main/java/weka/gui/ensembleLibraryEditor
   D /trunk/weka/src/test/java/weka/associations/GeneralizedSequentialPatternsTest.java
   D /trunk/weka/src/test/java/weka/associations/HotSpotTest.java
   D /trunk/weka/src/test/java/weka/associations/PredictiveAprioriTest.java
   D /trunk/weka/src/test/java/weka/associations/TertiusTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/ChiSquaredAttributeEvalTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/ClassifierAttributeEvalTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/ClassifierSubsetEvalTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/ConsistencySubsetEvalTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/CostSensitiveAttributeEvalTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/CostSensitiveSubsetEvalTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/ExhaustiveSearchTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/FCBFSearchTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/FilteredAttributeEvalTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/FilteredSubsetEvalTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/GeneticSearchTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/LatentSemanticAnalysisTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/LinearForwardSelectionTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/RaceSearchTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/RandomSearchTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/RankSearchTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/SVMAttributeEvalTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/SignificanceAttributeEvalTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/SubsetSizeForwardSelectionTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/SymmetricalUncertAttributeSetEvalTest.java
   D /trunk/weka/src/test/java/weka/attributeSelection/TabuSearchTest.java
   D /trunk/weka/src/test/java/weka/classifiers/bayes/AODETest.java
   D /trunk/weka/src/test/java/weka/classifiers/bayes/AODEsrTest.java
   D /trunk/weka/src/test/java/weka/classifiers/bayes/BayesianLogisticRegressionTest.java
   D /trunk/weka/src/test/java/weka/classifiers/bayes/DMNBtextTest.java
   D /trunk/weka/src/test/java/weka/classifiers/bayes/HNBTest.java
   D /trunk/weka/src/test/java/weka/classifiers/bayes/WAODETest.java
   D /trunk/weka/src/test/java/weka/classifiers/functions/GaussianProcessesTest.java
   D /trunk/weka/src/test/java/weka/classifiers/functions/IsotonicRegressionTest.java
   D /trunk/weka/src/test/java/weka/classifiers/functions/LeastMedSqTest.java
   D /trunk/weka/src/test/java/weka/classifiers/functions/LibLINEARTest.java
   D /trunk/weka/src/test/java/weka/classifiers/functions/LibSVMTest.java
   D /trunk/weka/src/test/java/weka/classifiers/functions/MultilayerPerceptronCSTest.java
   D /trunk/weka/src/test/java/weka/classifiers/functions/PLSClassifierTest.java
   D /trunk/weka/src/test/java/weka/classifiers/functions/PaceRegressionTest.java
   D /trunk/weka/src/test/java/weka/classifiers/functions/RBFNetworkTest.java
   D /trunk/weka/src/test/java/weka/classifiers/functions/SPegasosTest.java
   D /trunk/weka/src/test/java/weka/classifiers/functions/WinnowTest.java
   D /trunk/weka/src/test/java/weka/classifiers/lazy/LBRTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/ClassificationViaClusteringTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/ClassificationViaRegressionTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/DaggingTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/DecorateTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/ENDTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/EnsembleSelectionTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/GradingTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/GridSearchTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/MetaCostTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/MultiBoostABTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/OneClassClassifierTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/OrdinalClassClassifierTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/RacedIncrementalLogitBoostTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/RealAdaBoostTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/RegressionByDiscretizationTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/RotationForestTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/StackingCTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/ThresholdSelectorTest.java
   D /trunk/weka/src/test/java/weka/classifiers/meta/nestedDichotomies
   D /trunk/weka/src/test/java/weka/classifiers/mi
   D /trunk/weka/src/test/java/weka/classifiers/misc/FLRTest.java
   D /trunk/weka/src/test/java/weka/classifiers/misc/HyperPipesTest.java
   D /trunk/weka/src/test/java/weka/classifiers/misc/OSDLTest.java
   D /trunk/weka/src/test/java/weka/classifiers/misc/VFITest.java
   D /trunk/weka/src/test/java/weka/classifiers/rules/ConjunctiveRuleTest.java
   D /trunk/weka/src/test/java/weka/classifiers/rules/DTNBTest.java
   D /trunk/weka/src/test/java/weka/classifiers/rules/FURIATest.java
   D /trunk/weka/src/test/java/weka/classifiers/rules/NNgeTest.java
   D /trunk/weka/src/test/java/weka/classifiers/rules/OLMTest.java
   D /trunk/weka/src/test/java/weka/classifiers/rules/RidorTest.java
   D /trunk/weka/src/test/java/weka/classifiers/trees/ADTreeTest.java
   D /trunk/weka/src/test/java/weka/classifiers/trees/BFTreeTest.java
   D /trunk/weka/src/test/java/weka/classifiers/trees/FTTest.java
   D /trunk/weka/src/test/java/weka/classifiers/trees/J48graftTest.java
   D /trunk/weka/src/test/java/weka/classifiers/trees/LADTreeTest.java
   D /trunk/weka/src/test/java/weka/classifiers/trees/NBTreeTest.java
   D /trunk/weka/src/test/java/weka/classifiers/trees/SimpleCartTest.java
   D /trunk/weka/src/test/java/weka/classifiers/trees/UserClassifierTest.java
   D /trunk/weka/src/test/java/weka/clusterers/CLOPETest.java
   D /trunk/weka/src/test/java/weka/clusterers/DBScanTest.java
   D /trunk/weka/src/test/java/weka/clusterers/OPTICSTest.java
   D /trunk/weka/src/test/java/weka/clusterers/XMeansTest.java
   D /trunk/weka/src/test/java/weka/clusterers/sIBTest.java
   D /trunk/weka/src/test/java/weka/filters/supervised/attribute/PLSFilterTest.java
   D /trunk/weka/src/test/java/weka/filters/supervised/instance/SMOTETest.java
   D /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/EMImputationTest.java
   D /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/MILESFilterTest.java
   D /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/MultiInstanceToPropositionalTest.java
   D /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/PropositionalToMultiInstanceTest.java
   D /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/RELAGGSTest.java
   D /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/WaveletTest.java
   D /trunk/weka/src/test/java/weka/filters/unsupervised/instance/DenormalizeTest.java
   D /trunk/weka/src/test/java/weka/filters/unsupervised/instance/NormalizeTest.java

Moved out of main weka source tree to trunk/packages.
------------------------------------------------------------------------
r6638 | mhall | 2010-07-07 16:23:37 +1200 (Wed, 07 Jul 2010) | 1 line
Changed paths:
   A /trunk/packages/internal/alternatingDecisionTrees/src/main/java/weka/classifiers/trees/adtree (from /trunk/weka/src/main/java/weka/classifiers/trees/adtree:6636)
   D /trunk/weka/src/main/java/weka/classifiers/trees/adtree

Moved out of main source tree into trunk/packages
------------------------------------------------------------------------
r6639 | mhall | 2010-07-07 16:32:14 +1200 (Wed, 07 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Now checks for a PackageRepository.props file in /Users/mhall/wekafiles/props. The user can put a specific repository URL to use in this file.
------------------------------------------------------------------------
r6658 | mhall | 2010-07-14 19:51:06 +1200 (Wed, 14 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierErrorsPlotInstances.java

Removed the redundant "instance number" attribute from the classifier errors visualization.
------------------------------------------------------------------------
r6659 | mhall | 2010-07-14 19:52:31 +1200 (Wed, 14 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

Removed the redundant "instance number" attribute from the classifier errors visualization.
------------------------------------------------------------------------
r6661 | mhall | 2010-07-14 20:52:46 +1200 (Wed, 14 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererPanel.java

Capabilities check now takes ignored attributes into account.
------------------------------------------------------------------------
r6667 | mhall | 2010-07-15 13:18:43 +1200 (Thu, 15 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Weka would fail to start if WEKA_HOME existed but the packages subdir didn't - fixed.
------------------------------------------------------------------------
r6675 | mhall | 2010-07-16 20:07:09 +1200 (Fri, 16 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java

Changed how the install and uninstall buttons are enabled/disabled based on what packages are selected from the list.
------------------------------------------------------------------------
r6676 | mhall | 2010-07-20 10:21:25 +1200 (Tue, 20 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/Run.java

Fixed a bug that prevented the -no-scan and -no-load options to be used at the same time.
------------------------------------------------------------------------
r6677 | mhall | 2010-07-20 10:55:09 +1200 (Tue, 20 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GUIChooser.java

Changed the case of a menu item to match the others.
------------------------------------------------------------------------
r6678 | mhall | 2010-07-20 16:10:44 +1200 (Tue, 20 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Now uses the Environment class to look up the package repository url property.
------------------------------------------------------------------------
r6679 | mhall | 2010-07-20 16:22:17 +1200 (Tue, 20 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/logging/FileLogger.java

New default location for the weka.log file is in WEKA_HOME (as defined in WekaPackageManager).
------------------------------------------------------------------------
r6680 | mhall | 2010-07-20 16:22:48 +1200 (Tue, 20 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/logging/Logging.props

New default location for the weka.log file is in WEKA_HOME (as defined in WekaPackageManager).
------------------------------------------------------------------------
r6681 | mhall | 2010-07-21 16:20:56 +1200 (Wed, 21 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Utils.java

Fixed a problem in reading properties from WEKA_HOME/props.
------------------------------------------------------------------------
r6688 | mhall | 2010-07-26 11:43:17 +1200 (Mon, 26 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Changed the connect timeout to 30 seconds when fetching the number of packages available at the repository. Now prints the current repository URL (if different from the default) to standard error. Default repository URL now points to Sourceforge.
------------------------------------------------------------------------
r6689 | mhall | 2010-07-26 11:48:14 +1200 (Mon, 26 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java

Now disables all buttons during install and uninstall.
------------------------------------------------------------------------
r6694 | mhall | 2010-07-26 14:21:51 +1200 (Mon, 26 Jul 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/PrincipalComponents.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PrincipalComponents.java

Was using the normalize filter, but should have been standardizing the data (for PCs computed from the correlation matrix) - fixed. Now also has an option to center the data and compute PCs from the covariance matrix. Transforming back to the original space now correctly reverses standardization/centering.
------------------------------------------------------------------------
